Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision a06ff9ad55fc891c3b3fd14247bd9576c45ea286)
+++ appendices/glossary.xml	(revision 139df56d59393cbb5768842b109016b511072e62)
@@ -261,4 +261,13 @@
     </glossentry>
 
+    <glossentry id="gCMS">
+      <glossterm>
+        <acronym>CMS</acronym>
+      </glossterm>
+      <glossdef>
+        <para>Cryptographic Message Syntax</para>
+      </glossdef>
+    </glossentry>
+
     <glossentry id="gCODEC">
       <glossterm>
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision a06ff9ad55fc891c3b3fd14247bd9576c45ea286)
+++ general/genlib/genlib.xml	(revision 139df56d59393cbb5768842b109016b511072e62)
@@ -77,4 +77,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgpg-error.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgcrypt.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libksba.xml"/>
 
   <!-- <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ispell.xml"/> -->
Index: general/genlib/libksba.xml
===================================================================
--- general/genlib/libksba.xml	(revision 139df56d59393cbb5768842b109016b511072e62)
+++ general/genlib/libksba.xml	(revision 139df56d59393cbb5768842b109016b511072e62)
@@ -0,0 +1,160 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libksba-download-http "http://ftp.gnupg.org/gcrypt/libksba/libksba-&libksba-version;.tar.bz2">
+  <!ENTITY libksba-download-ftp  "ftp://ftp.gnupg.org/gcrypt/libksba/libksba-&libksba-version;.tar.bz2">
+  <!ENTITY libksba-md5sum        "3cccb3ef697e1e69eeceeea0715ff220">
+  <!ENTITY libksba-size          "525 KB">
+  <!ENTITY libksba-buildsize     "13 MB">
+  <!ENTITY libksba-time          "0.2 SBU">
+]>
+
+<sect1 id="libksba" xreflabel="Libksba-&libksba-version;">
+  <?dbhtml filename="libksba.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Libksba-&libksba-version;</title>
+
+  <indexterm zone="libksba">
+    <primary sortas="a-Libksba">Libksba</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Libksba</title>
+
+    <para>The <application>Libksba</application> package contains a library
+    used to make X.509 certificates as well as making the CMS (Cryptographic
+    Message Syntax) easily accessible by other applications. Both
+    specifications are building blocks of S/MIME and TLS. The library does not
+    rely on another cryptographic library but provides hooks for easy
+    integration with <application>Libgcrypt</application>.</para>
+ 
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&libksba-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&libksba-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &libksba-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &libksba-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &libksba-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &libksba-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Libksba Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="libgpg-error"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/libksba"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Libksba</title>
+
+    <para>Install <application>Libksba</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>Only <command>info</command> documentation is shipped in the package
+    tarball. If you wish to build alternate formats of the documentation, you
+    must have <xref linkend="tetex"/> installed, then issue the following
+    commands:</para>
+
+<screen><userinput>tex --output-directory=doc ksba.texi &amp;&amp;
+dvips -o doc/ksba.ps doc/ksba.dvi    &amp;&amp;
+make -C doc pdf html                 &amp;&amp;
+makeinfo --html --no-split -o doc/ksba_nochunks.html doc/ksba.texi &amp;&amp;
+makeinfo --plaintext       -o doc/ksba.txt           doc/ksba.texi</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m644 -D README /usr/share/doc/libksba-&libksba-version;/README</userinput></screen>
+
+    <para>If you built the additional documentation, install it by issuing the
+    following commands as the <systemitem class="username">root</systemitem>
+    user:</para>
+
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/libksba-&libksba-version;/html &amp;&amp;
+install -v -m644 doc/ksba.html/* \
+                    /usr/share/doc/libksba-&libksba-version;/html &amp;&amp;
+install -v -m644 doc/ksba_*.html \
+                    /usr/share/doc/libksba-&libksba-version; &amp;&amp;
+install -v -m644 doc/ksba.{pdf,ps,dvi,txt,texi} \
+                    /usr/share/doc/libksba-&libksba-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>libksba-config</seg>
+        <seg>libksba.{so,a}</seg>
+        <seg>/usr/share/doc/libksba-&libksba-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libksba-config">
+        <term><command>libksba-config</command></term>
+        <listitem>
+          <para>is a utility used to configure and build applications based on
+          the libksba(3) library. It can be used to query the C compiler and
+          linker flags which are required to correctly compile and link the
+          application against the libksba(3) library.</para>
+          <indexterm zone="libksba libksba-config">
+            <primary sortas="b-libksba-config">libksba-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libksba-lib">
+        <term><filename class='libraryfile'>libksba.{so,a}</filename></term>
+        <listitem>
+          <para>contains the cryptographic API functions.</para>
+          <indexterm zone="libksba libksba-lib">
+            <primary sortas="c-libksba">libksba.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a06ff9ad55fc891c3b3fd14247bd9576c45ea286)
+++ introduction/welcome/changelog.xml	(revision 139df56d59393cbb5768842b109016b511072e62)
@@ -41,4 +41,13 @@
 
 -->
+
+    <listitem>
+      <para>August 18th, 2007</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Added new package Libksba-1.0.2.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision a06ff9ad55fc891c3b3fd14247bd9576c45ea286)
+++ introduction/welcome/credits.xml	(revision 139df56d59393cbb5768842b109016b511072e62)
@@ -280,5 +280,5 @@
         libexif, libgail-gnome, libgcrypt, libgnomecups, libgnomekbd,
         libgpg-error,
-        Libidn, libmpeg2, libmusicbrainz, libquicktime, mcs,
+        Libidn, Libksba, libmpeg2, libmusicbrainz, libquicktime, mcs,
         MIT Kerberos V5 (many updates and enhancements), MPlayer
         (extensive overhaul), NSS, Orca, Other Programming Tools, PDL,