Index: general/genlib/gobject-introspection.xml
===================================================================
--- general/genlib/gobject-introspection.xml	(revision c8b4decb06f34d95840cfca741260acffd51dc24)
+++ general/genlib/gobject-introspection.xml	(revision 140a74cd8993bf634b0cadc0c045b40d96eccf92)
@@ -9,8 +9,8 @@
   <!ENTITY gobject-introspection-download-ftp
     "&gnome-download-ftp;/gobject-introspection/1.54/gobject-introspection-&gobject-introspection-version;.tar.xz">
-  <!ENTITY gobject-introspection-md5sum        "57a260c24eb798422639c51e04cc28ff">
+  <!ENTITY gobject-introspection-md5sum        "126c29e4d54adbed2ed4e2b04483de41">
   <!ENTITY gobject-introspection-size          "1.3 MB">
-  <!ENTITY gobject-introspection-buildsize     "52 MB (add 12 MB for tests)">
-  <!ENTITY gobject-introspection-time          "0.3 SBU (additional 0.3 SBU for the tests)">
+  <!ENTITY gobject-introspection-buildsize     "39 MB (add 13 MB for tests)">
+  <!ENTITY gobject-introspection-time          "0.3 SBU (add 0.3 SBU for tests)">
 ]>
 
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision c8b4decb06f34d95840cfca741260acffd51dc24)
+++ general/graphlib/poppler.xml	(revision 140a74cd8993bf634b0cadc0c045b40d96eccf92)
@@ -7,8 +7,8 @@
   <!ENTITY poppler-download-http "https://poppler.freedesktop.org/poppler-&poppler-version;.tar.xz">
   <!ENTITY poppler-download-ftp  " ">
-  <!ENTITY poppler-md5sum        "6e44408a3b4f4a738f8a6770d0aea8a5">
-  <!ENTITY poppler-size          "1.6 MB">
-  <!ENTITY poppler-buildsize     "50 MB (with Qt5 library; add 11 MB for test)">
-  <!ENTITY poppler-time          "1.3 SBU (with Qt5 library)">
+  <!ENTITY poppler-md5sum        "7648416d51a6e9fbc4a75b6f8b53dd7c">
+  <!ENTITY poppler-size          "1.4 MB">
+  <!ENTITY poppler-buildsize     "58 MB (with Qt5 library and tests)">
+  <!ENTITY poppler-time          "0.5 SBU (with parallelism=4, Qt5 library, and tests)">
 
 
@@ -124,4 +124,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
+      <xref linkend="cmake"/> and
       <xref linkend="fontconfig"/>
     </para>
@@ -133,5 +134,5 @@
       <xref linkend="libpng"/>,
       <xref linkend="nss"/>, and
-      <xref linkend="openjpeg"/>
+      <xref linkend="openjpeg2"/>
     </para>
 
@@ -139,11 +140,11 @@
     <para role="optional">
       <xref linkend="curl"/>,
+      <xref linkend="gdk-pixbuf"/>,
+      <xref linkend="git"/> (for test files),
       <xref linkend="gobject-introspection"/>,
       <xref linkend="gtk-doc"/>,
-      <xref linkend="gtk2"/>,
-      <xref linkend="lcms"/> or <xref linkend="lcms2"/>,
+      <xref linkend="gtk3"/>,
+      <xref linkend="lcms2"/>,
       <xref linkend="libtiff"/>,
-      <xref linkend="openjpeg2"/>
-      (preference is for OpenJPEG1, due to regressions with OpenJPEG2), and
       <xref linkend="qt5"/>
       (required for PDF support in <xref linkend="okular5"/>)
@@ -163,11 +164,14 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr               \
-            --sysconfdir=/etc           \
-            --disable-static            \
-            --enable-build-type=release \
-            --enable-cmyk               \
-            --enable-xpdf-headers       \
-            --with-testdatadir=$PWD/testfiles &amp;&amp;
+<screen><userinput>mkdir build                         &amp;&amp;
+cd    build                         &amp;&amp;
+
+cmake  -DCMAKE_BUILD_TYPE=Release   \
+       -DCMAKE_INSTALL_PREFIX=/usr  \
+       -DTESTDATADIR=$PWD/testfiles \
+       -DENABLE_XPDF_HEADERS=ON     \
+       -DENABLE_GTK_DOC=ON          \
+       ..                           &amp;&amp;
+
 make</userinput></screen>
 
@@ -177,6 +181,6 @@
       them is:
 <command>git clone git://git.freedesktop.org/git/poppler/test testfiles</command>.
-      Then issue: <command>LC_ALL=en_US.UTF-8 make check</command>. It seems
-      that only the Qt4/5 libraries are tested.
+      Then issue: <command>LC_ALL=en_US.UTF-8 make check</command>. 
+      Only the Qt5 libraries are tested.
     </para>
 
@@ -185,5 +189,9 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>
+make        install &amp;&amp;
+make -C qt5 install &amp;&amp;
+
+install -m644 poppler-qt5.pc usr/lib/pkgconfig</userinput></screen>
 
     <para>
@@ -193,5 +201,4 @@
 
 <screen role="root"><userinput>install -v -m755 -d        /usr/share/doc/poppler-&poppler-version; &amp;&amp;
-install -v -m644 README*   /usr/share/doc/poppler-&poppler-version; &amp;&amp;
 cp -vr glib/reference/html /usr/share/doc/poppler-&poppler-version;</userinput></screen>
 
@@ -219,40 +226,17 @@
 
     <para>
-      <parameter>--enable-build-type=release</parameter>: This switch is used
-      to apply a higher level of compiler optimizations. Other options are:
-      [<option>relwithdebinfo/debug/debugfull/profile</option>]
-    </para>
-
-    <para>
-      <parameter>--enable-cmyk</parameter>:
-      Include support for CMYK rasterization.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <para>
-      <parameter>--enable-xpdf-headers</parameter>: Install some old
-      <application>Xpdf</application> headers required by certain programs (e.g.
-      <application>Okular</application>, <application>LibreOffice</application>
-      and <application>Inkscape</application>).
-    </para>
-
-    <para>
-      <parameter>--with-testdatadir=$PWD/testfiles</parameter>: Tell the test
+      <option>-DCMAKE_BUILD_TYPE=Release</option>: This switch is used
+      to apply a higher level of compiler optimizations. 
+    </para>
+
+    <para>
+      <option>-DTESTDATADIR=$PWD/testfiles</option>: Tell the test
       programs where the auxiliary files are located.
     </para>
 
     <para>
-      <option>--enable-libcurl</option>: Use libcurl for HTTP support.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-    <para>
-      <option>--disable-poppler-qt5</option>: Don't compile poppler Qt5 wrapper,
-      when Qt5 is installed. Note that Qt5 support is required for PDF support
-      in <xref linkend="okular5"/>.
+      <option>-DENABLE_GTK_DOC=ON</option>: Use this parameter if 
+      GTK-Doc is installed and you wish to rebuild and install 
+      the API documentation.
     </para>
 
@@ -276,6 +260,6 @@
         <seg>
           pdfdetach, pdffonts, pdfimages, pdfinfo, pdfseparate, pdfsig,
-          pdftocairo, pdftohtml, pdftoppm, pdftops, pdftotext,
-          pdfunite, and poppler-glib-demo
+          pdftocairo, pdftohtml, pdftoppm, pdftops, pdftotext, and
+          pdfunite
         </seg>
         <seg>
@@ -286,6 +270,6 @@
         </seg>
         <seg>
-          /usr/{include,share,share/gtk-doc/html}/poppler and
-          /usr/share/doc/poppler-&poppler-version;
+          /usr/include/poppler and
+          /usr/share/gtk-doc/poppler
         </seg>
       </seglistitem>
@@ -445,17 +429,4 @@
       </varlistentry>
 
-      <varlistentry id="poppler-glib-demo">
-        <term><command>poppler-glib-demo</command></term>
-        <listitem>
-          <para>
-            is a tool to demonstrate the API, and for use when debugging and
-            testing <application>Poppler</application>.
-          </para>
-          <indexterm zone="poppler poppler-glib-demo">
-            <primary sortas="b-poppler-glib-demo">poppler-glib-demo</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="libpoppler">
         <term><filename class="libraryfile">libpoppler.so</filename></term>
@@ -495,19 +466,4 @@
       </varlistentry>
 
-<!--
-      <varlistentry id="libpoppler-qt4">
-        <term><filename class="libraryfile">libpoppler-qt4.so</filename></term>
-        <listitem>
-          <para>
-            is a wrapper library used to interface the PDF rendering functions
-            with <application>Qt</application>4.
-          </para>
-          <indexterm zone="poppler libpoppler-qt4">
-            <primary sortas="c-libpoppler-qt4">libpoppler-qt4.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
--->
-
       <varlistentry id="libpoppler-qt5">
         <term><filename class="libraryfile">libpoppler-qt5.so</filename></term>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c8b4decb06f34d95840cfca741260acffd51dc24)
+++ introduction/welcome/changelog.xml	(revision 140a74cd8993bf634b0cadc0c045b40d96eccf92)
@@ -46,4 +46,12 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to poppler-0.60.1. Fixes 
+          <ulink url="&blfs-ticket-root;9834">#9834</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gobject-introspection-1.54.1. Fixes 
+          <ulink url="&blfs-ticket-root;9833">#9833</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[dj] - Update to make-ca-0.5.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision c8b4decb06f34d95840cfca741260acffd51dc24)
+++ packages.ent	(revision 140a74cd8993bf634b0cadc0c045b40d96eccf92)
@@ -105,5 +105,5 @@
 <!ENTITY glibmm-version               "2.54.1">
 <!ENTITY gmime-version                "2.6.23">
-<!ENTITY gobject-introspection-version "1.54.0">
+<!ENTITY gobject-introspection-version "1.54.1">
 <!ENTITY grantlee-version             "5.1.0">
 <!ENTITY gsl-version                  "2.4">
@@ -215,5 +215,5 @@
 <!ENTITY openjpeg2-version            "2.2.0">
 <!ENTITY pixman-version               "0.34.0">   <!-- Even minors only -->
-<!ENTITY poppler-version              "0.59.0">
+<!ENTITY poppler-version              "0.60.1">
 <!ENTITY potrace-version              "1.15">
 <!ENTITY qpdf-version                 "7.0.0">