Index: general.ent
===================================================================
--- general.ent	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ general.ent	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -317,5 +317,5 @@
 <!ENTITY hd2u-version                 "1.0.3">
 <!ENTITY icon-naming-utils-version    "0.8.90">
-<!ENTITY imagemagick-version          "6.8.8">
+<!ENTITY imagemagick-version          "6.8.9">
 <!ENTITY intltool-version             "0.50.2">
 <!ENTITY lsof-version                 "4.87">
@@ -337,5 +337,5 @@
 <!ENTITY at-version                   "3.1.14">
 <!ENTITY autofs-version               "5.0.8">
-<!ENTITY bluez-version                "5.17">
+<!ENTITY bluez-version                "5.18">
 <!ENTITY colord-version               "1.2.0">    <!-- Even minors only -->
 <!ENTITY cpio-version                 "2.11">
@@ -458,5 +458,5 @@
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "0.9.8.9">
-<!ENTITY nmap-version                 "6.40">
+<!ENTITY nmap-version                 "6.45">
 <!ENTITY traceroute-version           "2.0.19">
 <!ENTITY whois-version                "5.1.1">
@@ -564,5 +564,5 @@
 <!ENTITY goffice010-version           "0.10.13">
 <!ENTITY gtk2-version                 "2.24.23">
-<!ENTITY gtk3-version                 "3.12.0">
+<!ENTITY gtk3-version                 "3.12.1">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.4">
@@ -621,5 +621,5 @@
 <!ENTITY gcr-version                  "3.12.0">
 <!ENTITY gnome-keyring-version        "3.12.0">
-<!ENTITY gvfs-version                 "1.20.0">
+<!ENTITY gvfs-version                 "1.20.1">
 <!ENTITY gjs-version                  "1.40.0">
 <!ENTITY gnome-desktop-version        "3.12.0">
Index: general/genutils/imagemagick.xml
===================================================================
--- general/genutils/imagemagick.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ general/genutils/imagemagick.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -5,5 +5,5 @@
   %general-entities;
 
-  <!ENTITY imagemagick-patch-version "6">
+  <!ENTITY imagemagick-patch-version "0">
   <!-- Not sure what to do here as ImageMagick is one of the fastest-moving
        targets in all of open-source. One solution is to always use the last
@@ -16,12 +16,8 @@
   <!ENTITY imagemagick-download-http " ">
   <!ENTITY imagemagick-download-ftp  "ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-&imagemagick-version;-&imagemagick-patch-version;.tar.xz">
-  <!ENTITY imagemagick-md5sum        "3b9be99a2f49e60bc2acfde0c2bbe0c6">
+  <!ENTITY imagemagick-md5sum        "d89b4b5db15cf8fb1486cec1067244ae">
   <!ENTITY imagemagick-size          "7.2 MB">
-  <!ENTITY imagemagick-buildsize     "156 MB (with typical dependencies,
-                                      additional 29 MB to run the test suite,
-                                      reputedly 450 MB with all dependencies)">
-  <!ENTITY imagemagick-time          "2.3 SBU (typical build - additional 4.9
-                                      SBU to run the test suite and 6.0 SBU to
-                                      run the validation suite)">
+  <!ENTITY imagemagick-buildsize     "158 MB (with typical dependencies, additional 29 MB to run the test suite, reputedly 450 MB with all dependencies)">
+  <!ENTITY imagemagick-time          "2.5 SBU (typical build - additional 7.1 SBU to run the test suite and 11 SBU to run the validation suite)">
 ]>
 
@@ -246,5 +242,6 @@
       validation suite, also after the package is installed. Note that the EPS,
       PS, and PDF tests require a working
-      <application>Ghostscript</application>.
+      <application>Ghostscript</application>. One test needs "Helvetica" from
+      "Standard Fonts" which are optionally installed in <xref linkend="gs"/>.
     </para>
 
@@ -365,5 +362,5 @@
       <seglistitem>
         <seg>animate, compare, composite, conjure, convert, display,
-        identify, import, Magick-config, Magic++-config, MagickCore-config,
+        identify, import, Magick-config, Magick++-config, MagickCore-config,
         MagickWand-config, mogrify, montage, stream, and Wand-config</seg>
 
Index: general/sysutils/bluez.xml
===================================================================
--- general/sysutils/bluez.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ general/sysutils/bluez.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -7,7 +7,7 @@
   <!ENTITY bluez-download-http "http://www.kernel.org/pub/linux/bluetooth/bluez-&bluez-version;.tar.xz">
   <!ENTITY bluez-download-ftp  "ftp://ftp.kernel.org/pub/linux/bluetooth/bluez-&bluez-version;.tar.xz">
-  <!ENTITY bluez-md5sum        "5e6e41f0a275092ace303e813cd6f33b">
+  <!ENTITY bluez-md5sum        "9c71404f86287cd9441e86783be3aae1">
   <!ENTITY bluez-size          "1.3 MB">
-  <!ENTITY bluez-buildsize     "51 MB">
+  <!ENTITY bluez-buildsize     "52 MB">
   <!ENTITY bluez-time          "0.6 SBU">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs75_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ gnome/platform/gvfs.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -7,8 +7,8 @@
   <!ENTITY gvfs-download-http "&gnome-download-http;/gvfs/1.20/gvfs-&gvfs-version;.tar.xz">
   <!ENTITY gvfs-download-ftp  "&gnome-download-ftp;/gvfs/1.20/gvfs-&gvfs-version;.tar.xz">
-  <!ENTITY gvfs-md5sum        "5c19d31f61af35ca7da3413a1db46bb0">
+  <!ENTITY gvfs-md5sum        "2c6d4d08ebd691ccdb3f8da88a7c4b20">
   <!ENTITY gvfs-size          "1.5 MB">
-  <!ENTITY gvfs-buildsize     "59 MB">
-  <!ENTITY gvfs-time          "0.6 SBU">
+  <!ENTITY gvfs-buildsize     "59 MB (additional 2 MB for the tests)">
+  <!ENTITY gvfs-time          "0.6 SBU (additional 0.1 SBU for the tests)">
 ]>
 
@@ -141,5 +141,6 @@
 
     <para>
-      This package does not come with a test suite.
+      To test the results, issue: <command>make -k check</command>. Some tests
+      may fail for unknown reasons.
     </para>
 
@@ -193,5 +194,5 @@
           libgvfscommon.so,
           libgvfsdaemon.so, and
-          several under /usr/lib/gio/modules/
+          two under /usr/lib/gio/modules/
         </seg>
         <seg>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ introduction/welcome/changelog.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -48,4 +48,28 @@
       <para>April 13th, 2014</para>
       <itemizedlist>
+       <listitem>
+          <para>[fernando] - Add fc-cache to instructions for font install in
+          ghostscript-9.14.</para>
+        </listitem>
+       <listitem>
+          <para>[fernando] - bluez-5.18. Fixes
+          <ulink url="&blfs-ticket-root;4946">#4946</ulink>.</para>
+        </listitem>
+       <listitem>
+          <para>[fernando] - gvfs-1.20.1. Fixes
+          <ulink url="&blfs-ticket-root;4941">#4941</ulink>.</para>
+        </listitem>
+       <listitem>
+          <para>[fernando] - gtk+-3.12.1. Fixes
+          <ulink url="&blfs-ticket-root;4945">#4945</ulink>.</para>
+        </listitem>
+       <listitem>
+          <para>[fernando] - nmap-6.45. Fixes
+          <ulink url="&blfs-ticket-root;4943">#4943</ulink>.</para>
+        </listitem>
+       <listitem>
+          <para>[fernando] - ImageMagick-6.8.9-0. Fixes
+          <ulink url="&blfs-ticket-root;4942">#4942</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Update to Icedtea-2.4.6. Fixes
Index: networking/netutils/nmap.xml
===================================================================
--- networking/netutils/nmap.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ networking/netutils/nmap.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -6,9 +6,10 @@
 
   <!ENTITY nmap-download-http "http://nmap.org/dist/nmap-&nmap-version;.tar.bz2">
-  <!ENTITY nmap-download-ftp  "&gentoo-ftp-repo;/nmap-&nmap-version;.tar.bz2">
-  <!ENTITY nmap-md5sum        "c0e2f3370e1fb97fb53185b15aa22aff">
-  <!ENTITY nmap-size          "7.5 MB">
-  <!ENTITY nmap-buildsize     "107 MB">
-  <!ENTITY nmap-time          "1.1 SBU">
+<!--  <!ENTITY nmap-download-ftp  "&gentoo-ftp-repo;/nmap-&nmap-version;.tar.bz2">-->
+  <!ENTITY nmap-download-ftp  " ">
+  <!ENTITY nmap-md5sum        "e8c337456a692bada3ee53e7f5b87bac">
+  <!ENTITY nmap-size          "7.6 MB">
+  <!ENTITY nmap-buildsize     "105 MB (additional 1 MB for the tests)">
+  <!ENTITY nmap-time          "0.7 SBU (additional 4.3 SBU for the tests)">
 ]>
 
@@ -107,5 +108,7 @@
 make -j1</userinput></screen>
 
-    <para>This package does not come with a test suite.</para>
+    <para>To test the results, issue: <command>make -k check</command> as the
+    <systemitem class="username">root</systemitem> user. Tests need a
+    graphical session. Some tests may fail.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -126,5 +129,6 @@
         <seg>ncat, ndiff, nmap, nmapfe, nmap-update, nping, uninstall_zenmap,
         xnmap and zenmap</seg>
-        <seg>/usr/lib/python&python2-version;/site-packages/</seg>
+<!--    <seg>/usr/lib/python&python2-version;/site-packages/</seg>-->
+        <seg>None</seg>
         <seg>/usr/share/ncat, /usr/share/nmap and /usr/share/zenmap</seg>
       </seglistitem>
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ pst/printing/gs.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -117,5 +117,6 @@
     <para role="optional">
       <xref linkend="cairo"/>,
-      <xref linkend="fontconfig"/>,
+      <xref linkend="fontconfig"/> (required, if you are installing any
+      suggested font),
       <xref linkend="gtk2"/>,
       <xref linkend="cups"/>,
@@ -228,5 +229,6 @@
     </para>
 
-<screen role="root"><userinput>tar -xvf ../<replaceable>&lt;font-tarball&gt;</replaceable> -C /usr/share/ghostscript --no-same-owner</userinput></screen>
+<screen role="root"><userinput>tar -xvf ../<replaceable>&lt;font-tarball&gt;</replaceable> -C /usr/share/ghostscript --no-same-owner &amp;&amp;
+fc-cache -v /usr/share/ghostscript/fonts/</userinput></screen>
   </sect2>
 
@@ -250,6 +252,6 @@
 
     <para>
-      <parameter>--with-system-libtiff</parameter>: Remove this option if you've not
-      installed <xref linkend="libtiff"/>.
+      <parameter>--with-system-libtiff</parameter>: Remove this option if
+      you've not installed <xref linkend="libtiff"/>.
     </para>
 
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision d6988867607481b25a9883bbddc8d6692f4d7b0b)
+++ x/lib/gtk+3.xml	(revision 142f958b6115ff038c7476f370fc3067b54fda3f)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/3.12/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/3.12/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "4e493fb68cded7420a7d8bcebdf13811">
+  <!ENTITY gtk3-md5sum        "d4fa17f3916bdd737c37cdf123c1b24a">
   <!ENTITY gtk3-size          "15 MB">
   <!ENTITY gtk3-buildsize     "380 MB (additional 4 MB for the test suite and 19 MB to rebuild the docs)">
-  <!ENTITY gtk3-time          "4.1 SBU (additional 0.4 SBU for the test suite and 3.5 SBU to rebuild the docs)">
+  <!ENTITY gtk3-time          "4 SBU (additional 0.4 SBU for the test suite and 3.5 SBU to rebuild the docs)">
 ]>
 