Index: general.ent
===================================================================
--- general.ent	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ general.ent	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 16th, &year;">
+<!ENTITY releasedate  "May 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ gnome.ent	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -96,5 +96,5 @@
 <!ENTITY gucharmap-version                 "11.0.3">
 <!ENTITY network-manager-applet-version    "1.8.20">
-<!ENTITY seahorse-version                  "3.32.1">
+<!ENTITY seahorse-version                  "3.32.2">
 <!ENTITY vinagre-version                   "3.22.0">
 <!ENTITY vino-version                      "3.22.0">
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ gnome/applications/seahorse.xml	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -9,8 +9,8 @@
   <!ENTITY seahorse-download-ftp
            "&gnome-download-ftp;/seahorse/&gnome-minor-32;/seahorse-&seahorse-version;.tar.xz">
-  <!ENTITY seahorse-md5sum        "4020be6592715226497046d181742a76">
+  <!ENTITY seahorse-md5sum        "c7dbd465f5d80c0e8f2496b71dd2e173">
   <!ENTITY seahorse-size          "1.2 MB">
-  <!ENTITY seahorse-buildsize     "54 MB">
-  <!ENTITY seahorse-time          "0.4 SBU">
+  <!ENTITY seahorse-buildsize     "43 MB">
+  <!ENTITY seahorse-time          "0.1 SBU">
 ]>
 
@@ -120,5 +120,5 @@
 
 mkdir build &amp;&amp;
-cd build &amp;&amp;
+cd    build &amp;&amp;
 
 meson --prefix=/usr .. &amp;&amp;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ introduction/welcome/changelog.xml	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -43,4 +43,22 @@
     -->
 
+    <listitem>
+      <para>May 17th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to cups-filters-1.23.0. Fixes
+          <ulink url="&blfs-ticket-root;12070">#12070</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to seahorse-3.32.2. Fixes
+          <ulink url="&blfs-ticket-root;12069">#12069</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to geoclue-2.5.3. Fixes
+          <ulink url="&blfs-ticket-root;12068">#12068</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
     <listitem>
       <para>May 16th, 2019</para>
Index: networking/netlibs/geoclue2.xml
===================================================================
--- networking/netlibs/geoclue2.xml	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ networking/netlibs/geoclue2.xml	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -8,8 +8,8 @@
   "https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/&geoclue2-version;/geoclue-&geoclue2-version;.tar.bz2">
   <!ENTITY geoclue2-download-ftp  " ">
-  <!ENTITY geoclue2-md5sum        "e1ba351a1939eb6cdf04fa738d5be74a">
-  <!ENTITY geoclue2-size          "80 KB">
-  <!ENTITY geoclue2-buildsize     "9.7 MB">
-  <!ENTITY geoclue2-time          "0.1 SBU">
+  <!ENTITY geoclue2-md5sum        "e4a7adb1e28a28eed05e00ca7df6f741">
+  <!ENTITY geoclue2-size          "84 KB">
+  <!ENTITY geoclue2-buildsize     "6.3 MB">
+  <!ENTITY geoclue2-time          "less than 0.1 SBU">
 ]>
 
@@ -109,5 +109,5 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build &amp;&amp;
+cd    build &amp;&amp;
 
 meson --prefix=/usr --sysconfdir=/etc -Dgtk-doc=false .. &amp;&amp;
Index: packages.ent
===================================================================
--- packages.ent	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ packages.ent	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -576,5 +576,5 @@
 <!ENTITY c-ares-version               "1.15.0">
 <!ENTITY curl-version                 "7.64.1">
-<!ENTITY geoclue2-version             "2.5.2">
+<!ENTITY geoclue2-version             "2.5.3">
 <!ENTITY glib-networking-version      "2.60.2">
 <!ENTITY ldns-version                 "1.7.0">
@@ -996,5 +996,5 @@
 <!-- Chapter 46 -->
 <!ENTITY cups-version                 "2.2.11">
-<!ENTITY cups-filters-version         "1.22.6">
+<!ENTITY cups-filters-version         "1.23.0">
 <!ENTITY gs-version                   "9.27">
 <!ENTITY gutenprint-version           "5.2.14">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision 2b1bdc033385e0945ec4a0b56f55baba824cb7cf)
+++ pst/printing/cups-filters.xml	(revision 147c286fb91f6e55c5399388e75500ed61828d5a)
@@ -8,5 +8,5 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "fd659515c159ec1f465fdaf77d297d29">
+  <!ENTITY cups-filters-md5sum        "45a0ccc742d50e51c90e4b8ec1e8be5c">
   <!ENTITY cups-filters-size          "1.4 MB">
   <!ENTITY cups-filters-buildsize     "43 MB (with tests), 15MB installed">