Index: ltimedia/libdriv/SDL.xml
===================================================================
--- multimedia/libdriv/SDL.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<sect1 id="SDL" xreflabel="SDL-&SDL-version;">
-<?dbhtml filename="sdl.html" dir="multimedia"?>
-<title>SDL-&SDL-version;</title>
-
-&SDL-intro;
-&SDL-inst;
-&SDL-exp;
-&SDL-config;
-&SDL-desc;
-
-</sect1>
-
Index: multimedia/libdriv/sdl.xml
===================================================================
--- multimedia/libdriv/sdl.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
+++ multimedia/libdriv/sdl.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -0,0 +1,12 @@
+<sect1 id="SDL" xreflabel="SDL-&SDL-version;">
+<?dbhtml filename="sdl.html" dir="multimedia"?>
+<title>SDL-&SDL-version;</title>
+
+&SDL-intro;
+&SDL-inst;
+&SDL-exp;
+&SDL-config;
+&SDL-desc;
+
+</sect1>
+
Index: ltimedia/libdriv/sdl/SDL-config.xml
===================================================================
--- multimedia/libdriv/sdl/SDL-config.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring SDL</title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: ltimedia/libdriv/sdl/SDL-desc.xml
===================================================================
--- multimedia/libdriv/sdl/SDL-desc.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The SDL package contains the <userinput>Simple DirectMedia 
-Layer</userinput>.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>Simple DirectMedia Layer</title>
-<para>The Simple DirectMedia Layer is a generic API that provides low level
-access to audio, keyboard, mouse, joystick, 3D hardware via OpenGL, and 
-2D framebuffer across multiple platforms.</para></sect3>
-
-</sect2>
Index: ltimedia/libdriv/sdl/SDL-exp.xml
===================================================================
--- multimedia/libdriv/sdl/SDL-exp.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><userinput>--disable-debug</userinput> : This switch configures SDL to build with aggressive optimizations.</para>
-
-<para><userinput>--enable-video-aalib</userinput> : This optional switch
-is required to build SDL with AAlib video support.</para>
-
-</sect2>
-
Index: ltimedia/libdriv/sdl/SDL-inst.xml
===================================================================
--- multimedia/libdriv/sdl/SDL-inst.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Installation of SDL</title>
-
-<para>Install SDL by running the following commands:</para>
-
-<para><screen><userinput>./configure --prefix=/usr --disable-debug &amp;&amp;</userinput>
-<userinput>make &amp;&amp;</userinput>
-<userinput>make install</userinput></screen></para>
-
-</sect2>
-
Index: ltimedia/libdriv/sdl/SDL-intro.xml
===================================================================
--- multimedia/libdriv/sdl/SDL-intro.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<sect2>
-<title>Introduction to SDL</title>
-
-<screen>Download location (HTTP):       <ulink url="&SDL-download-http;"/>
-Download location (FTP):        <ulink url="&SDL-download-ftp;"/>
-Version used:                   &SDL-version;
-Package size:                   &SDL-size;
-Estimated Disk space required:  &SDL-buildsize;</screen>
-
-<para>The Simple DirectMedia Layer (SDL for short) is a cross-platform library
-designed to make it easy to write multimedia software, such as games and
-emulators.</para>
-
-<screen>SDL will utilize:
-oss, <xref linkend="alsa"/>, <xref linkend="esound"/>, <xref linkend="arts"/>, nas, nasm, 
-<xref linkend="xfree86"/>,  <xref linkend="aalib"/> and directfb</screen>
-
-</sect2>
Index: multimedia/libdriv/sdl/sdl-config.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-config.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
+++ multimedia/libdriv/sdl/sdl-config.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Configuring SDL</title>
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: multimedia/libdriv/sdl/sdl-desc.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-desc.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
+++ multimedia/libdriv/sdl/sdl-desc.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Contents</title>
+
+<para>The SDL package contains the <userinput>Simple DirectMedia 
+Layer</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>Simple DirectMedia Layer</title>
+<para>The Simple DirectMedia Layer is a generic API that provides low level
+access to audio, keyboard, mouse, joystick, 3D hardware via OpenGL, and 
+2D framebuffer across multiple platforms.</para></sect3>
+
+</sect2>
Index: multimedia/libdriv/sdl/sdl-exp.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-exp.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
+++ multimedia/libdriv/sdl/sdl-exp.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--disable-debug</userinput> : This switch configures SDL to build with aggressive optimizations.</para>
+
+<para><userinput>--enable-video-aalib</userinput> : This optional switch
+is required to build SDL with AAlib video support.</para>
+
+</sect2>
+
Index: multimedia/libdriv/sdl/sdl-inst.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-inst.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
+++ multimedia/libdriv/sdl/sdl-inst.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of SDL</title>
+
+<para>Install SDL by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr --disable-debug &amp;&amp;</userinput>
+<userinput>make &amp;&amp;</userinput>
+<userinput>make install</userinput></screen></para>
+
+</sect2>
+
Index: multimedia/libdriv/sdl/sdl-intro.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-intro.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
+++ multimedia/libdriv/sdl/sdl-intro.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Introduction to SDL</title>
+
+<screen>Download location (HTTP):       <ulink url="&SDL-download-http;"/>
+Download location (FTP):        <ulink url="&SDL-download-ftp;"/>
+Version used:                   &SDL-version;
+Package size:                   &SDL-size;
+Estimated Disk space required:  &SDL-buildsize;</screen>
+
+<para>The Simple DirectMedia Layer (SDL for short) is a cross-platform library
+designed to make it easy to write multimedia software, such as games and
+emulators.</para>
+
+<screen>SDL will utilize:
+oss, <xref linkend="alsa"/>, <xref linkend="esound"/>, <xref
+linkend="arts"/>, <xref linkend="nas"/>, <ulink url="http://nasm.sourceforge.net">nasm</ulink>, 
+<xref linkend="xfree86"/>,  <xref linkend="aalib"/> and <ulink url="http://www.directfb.com">DirectFB</ulink></screen>
+
+
+</sect2>
Index: multimedia/libdriv/sdl/sdl.ent
===================================================================
--- multimedia/libdriv/sdl/sdl.ent	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ multimedia/libdriv/sdl/sdl.ent	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -1,8 +1,8 @@
-<!ENTITY SDL SYSTEM "../SDL.xml">
-<!ENTITY SDL-intro SYSTEM "SDL-intro.xml">
-<!ENTITY SDL-inst SYSTEM "SDL-inst.xml">
-<!ENTITY SDL-exp SYSTEM "SDL-exp.xml">
-<!ENTITY SDL-desc SYSTEM "SDL-desc.xml">
-<!ENTITY SDL-config SYSTEM "SDL-config.xml">
+<!ENTITY SDL SYSTEM "../sdl.xml">
+<!ENTITY SDL-intro SYSTEM "sdl-intro.xml">
+<!ENTITY SDL-inst SYSTEM "sdl-inst.xml">
+<!ENTITY SDL-exp SYSTEM "sdl-exp.xml">
+<!ENTITY SDL-desc SYSTEM "sdl-desc.xml">
+<!ENTITY SDL-config SYSTEM "sdl-config.xml">
 <!ENTITY SDL-buildsize "14 MB">
 <!ENTITY SDL-version "1.2.5">
Index: multimedia/videoutils/mplayer/mplayer-intro.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -24,9 +24,10 @@
 
 <screen>MPlayer depends on:
-<xref linkend="xfree86"/> or DirectFB and <xref linkend="libvorbis"/>
+<xref linkend="xfree86"/> or <ulink url="http://www.directfb.org">DirectFB</ulink>, <xref linkend="GTK"/> and <xref linkend="libvorbis"/>
 MPlayer will utilize:
-<xref linkend="GTK"/>, <xref linkend="freetype2"/>, <xref linkend="libpng"/>, <xref linkend="libjpeg"/>, <xref linkend="libungif"/>, <xref linkend="aalib"/>, <xref linkend="SDL"/>, 
-<xref linkend="ffmpeg"/>, <xref linkend="xvid"/><!--, <xref linkend="opendivx"/>-->, oss, <xref linkend="arts"/>, <xref linkend="alsa"/>, LZO, libdvdnav, 
-MAD, and <xref linkend="CDParanoia"/></screen>
+<xref linkend="freetype2"/>, <xref linkend="libpng"/>, <xref linkend="libjpeg"/>, <xref linkend="libungif"/>, 
+<xref linkend="aalib"/>, <xref linkend="SDL"/>, <xref linkend="ffmpeg"/>, <xref linkend="xvid"/><!--, <xref linkend="opendivx"/>-->, 
+oss, <xref linkend="arts"/>, <xref linkend="alsa"/>, <ulink url="//http://www.oberhumer.com/opensource/lzo">LZO</ulink>, 
+<ulink url="http://dvd.sourceforge.net">libdvdnav</ulink>, <ulink url="http://www.underbit.com/products/mad">MAD</ulink>, and <xref linkend="CDParanoia"/></screen>
 
 </sect2>
Index: multimedia/videoutils/transcode/transcode-inst.xml
===================================================================
--- multimedia/videoutils/transcode/transcode-inst.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ multimedia/videoutils/transcode/transcode-inst.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -32,5 +32,5 @@
 <para><screen><userinput>./configure --prefix=/usr --with-ogg --with-vorbis\
 --with-libfame --with-lame --with-avifile \
---with-libpostproc-builddir=../MPlayer-&lt;version&gt; &amp;&amp;
+--with-libpostproc-builddir=/usr/src/MPlayer-&mplayer-version; &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: multimedia/videoutils/transcode/transcode-intro.xml
===================================================================
--- multimedia/videoutils/transcode/transcode-intro.xml	(revision 2b2e9204e9938ddc67780167304276af5dfb3ba7)
+++ multimedia/videoutils/transcode/transcode-intro.xml	(revision 149ac72982632cd6fb38736373e4e3352928d9a1)
@@ -13,7 +13,7 @@
 transcode will utilize:
 <xref linkend="xfree86"/>, <xref linkend="mplayer"/> (libpostproc), Image Magick, libdv,
-<xref linkend="SDL"/>, <xref linkend="qt"/>, <xref linkend="avifile"/>, <xref linkend="lame"/>, libfame,
-<!--<xref linkend="opendivx"/>,--> <xref linkend="xvid"/>, LZO, <xref linkend="ffmpeg"/>, libdvdnav/read, 
-MAD, <xref linkend="curl"/> and <xref linkend="libogg"/>. 
+<xref linkend="SDL"/>, <xref linkend="qt"/>, <xref linkend="avifile"/>, <xref linkend="lame"/>, <ulink url="http://fame.sourceforge.net">FAME</ulink>,
+<!--<xref linkend="opendivx"/>,--> <xref linkend="xvid"/>, <ulink url="http://www.oberhumer.com/opensource/lzo">LZO</ulink>, <xref linkend="ffmpeg"/>, <ulink url="http://dvd.sourceforge.net">libdvdnav/read</ulink>, 
+<ulink url="http://www.underbit.com/products/mad">MAD</ulink>, <xref linkend="curl"/> and <xref linkend="libogg"/>. 
 Preliminary Support for OpenQuicktime is under development.
 </screen>