Index: general.ent
===================================================================
--- general.ent	(revision 2eb1a3df19fd83024f554b544d47393b4ece333a)
+++ general.ent	(revision 0151a40f077ebf54d230e41faf7a8b297e962a08)
@@ -261,4 +261,5 @@
 <!ENTITY Device-mapper-version        "1.02.45">
 <!ENTITY parted-version               "2.2">
+<!ENTITY DeviceKit-disks-version      "009">
 <!ENTITY unrar-version                "3.7.8">
 <!ENTITY lzma-utils-version           "4.32.7">
Index: general/sysutils/DeviceKit-disks.xml
===================================================================
--- general/sysutils/DeviceKit-disks.xml	(revision 0151a40f077ebf54d230e41faf7a8b297e962a08)
+++ general/sysutils/DeviceKit-disks.xml	(revision 0151a40f077ebf54d230e41faf7a8b297e962a08)
@@ -0,0 +1,174 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY DeviceKit-disks-download-http "http://hal.freedesktop.org/releases/DeviceKit-disks-&DeviceKit-disks-version;.tar.gz">
+  <!ENTITY DeviceKit-disks-download-ftp  " ">
+  <!ENTITY DeviceKit-disks-md5sum        "2771769829e544e8ffb64297084b9ed9">
+  <!ENTITY DeviceKit-disks-size          "584 KB">
+  <!ENTITY DeviceKit-disks-buildsize     "8 MB">
+  <!ENTITY DeviceKit-disks-time          "0.1 SBU">
+]>
+
+<sect1 id="DeviceKit-disks" xreflabel="DeviceKit-disks-&DeviceKit-disks-version;">
+  <?dbhtml filename="DeviceKit-disks.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>DeviceKit-disks-&DeviceKit-disks-version;</title>
+
+  <indexterm zone="DeviceKit-disks">
+    <primary sortas="a-DeviceKit-disks">DeviceKit-disks</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to DeviceKit-disks</title>
+
+    <para>The <application>DeviceKit-disks</application> package is a daemon
+    that provide interfaces to obtain information and perform operations on
+    storage devices.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&DeviceKit-disks-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&DeviceKit-disks-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &DeviceKit-disks-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &DeviceKit-disks-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &DeviceKit-disks-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &DeviceKit-disks-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">DeviceKit-disks Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="dbus-glib"/>,
+    <xref linkend="libatasmart"/>,
+    <xref linkend="parted"/> (with <xref linkend="Device-mapper"/>),
+    <xref linkend="polkit"/>,
+    <xref linkend="sg3_utils"/>, and
+    <xref linkend="udev"/> (gudev)</para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="gtk-doc"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/DeviceKit-disks"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of DeviceKit-disks</title>
+
+    <para>Install <application>DeviceKit-disks</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --libexecdir=/usr/lib/DeviceKit-disks \
+            --localstatedir=/var &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>devkit-disks, umount.devkit, devkit-disks-daemon,
+        devkit-disks-helper-ata-smart-collect,
+        devkit-disks-helper-ata-smart-selftest,
+        devkit-disks-helper-change-filesystem-label,
+        devkit-disks-helper-change-luks-password,
+        devkit-disks-helper-create-partition,
+        devkit-disks-helper-create-partition-table,
+        devkit-disks-helper-delete-partition, devkit-disks-helper-drive-detach,
+        devkit-disks-helper-drive-poll, devkit-disks-helper-fstab-mounter,
+        devkit-disks-helper-linux-md-check,
+        devkit-disks-helper-linux-md-remove-component, devkit-disks-helper-mkfs,
+        and devkit-disks-helper-modify-partition</seg>
+        <seg>libdevkit-disks-action-lookup.{so,a}</seg>
+        <seg>/usr/lib/DeviceKit-disks,
+        /var/{lib/DeviceKit-disks,run/DeviceKit-disks}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="devkit-disks">
+        <term><command>devkit-disks</command></term>
+        <listitem>
+          <para>is the <application>DeviceKit-disks</application> command line
+          tool.</para>
+          <indexterm zone="DeviceKit-disks devkit-disks">
+            <primary sortas="b-devkit-disks">devkit-disks</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="devkit-disks-daemon">
+        <term><command>devkit-disks-daemon</command></term>
+        <listitem>
+          <para>provides the org.freedesktop.DeviceKit.Disks service on the
+          system message bus.</para>
+          <indexterm zone="DeviceKit-disks devkit-disks-daemon">
+            <primary sortas="b-devkit-disks-daemon">devkit-disks-daemon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libdevkit-disks-action-lookup">
+        <term><filename
+        class='libraryfile'>libdevkit-disks-action-lookup.{so,a}</filename></term>
+        <listitem>
+          <para>is a  polkit extension.</para>
+          <indexterm zone="DeviceKit-disks libdevkit-disks-action-lookup">
+            <primary
+            sortas="c-libdevkit-disks-action-lookup">libdevkit-disks-action-lookup.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/sysutils/sysutils.xml
===================================================================
--- general/sysutils/sysutils.xml	(revision 2eb1a3df19fd83024f554b544d47393b4ece333a)
+++ general/sysutils/sysutils.xml	(revision 0151a40f077ebf54d230e41faf7a8b297e962a08)
@@ -42,4 +42,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="Device-mapper.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="parted.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="DeviceKit-disks.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lzma-utils.xml"/>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2eb1a3df19fd83024f554b544d47393b4ece333a)
+++ introduction/welcome/changelog.xml	(revision 0151a40f077ebf54d230e41faf7a8b297e962a08)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[wblaszcz] - Added new package, DeviceKit-disks-009.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to Gutenprint-5.2.5.</para>
         </listitem>