Index: general/genlib/dbus-glib.xml
===================================================================
--- general/genlib/dbus-glib.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ general/genlib/dbus-glib.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ general/prog/python3.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ general/sysutils/dbus.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/textweb/lynx.xml
===================================================================
--- networking/textweb/lynx.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ networking/textweb/lynx.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -34,5 +34,5 @@
     <para><application>Lynx</application> is a text based web browser.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/lvm2.xml
===================================================================
--- postlfs/filesystems/lvm2.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/filesystems/lvm2.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/cracklib.xml
===================================================================
--- postlfs/security/cracklib.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/security/cracklib.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -39,5 +39,5 @@
     passwords to words in chosen word lists.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/security/gnutls.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -54,5 +54,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/libcap.xml
===================================================================
--- postlfs/security/libcap.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/security/libcap.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -33,5 +33,5 @@
     LFS, but if PAM support is desired, it needs to be reinstalled after 
     PAM is built.</para>
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/linux-pam.xml
===================================================================
--- postlfs/security/linux-pam.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/security/linux-pam.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/nettle.xml
===================================================================
--- postlfs/security/nettle.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/security/nettle.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ postlfs/security/shadow.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/installing/x7driver-fbdev.xml
===================================================================
--- x/installing/x7driver-fbdev.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ x/installing/x7driver-fbdev.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
       </para>
 
-      &lfs76_checked;
+      &lfs77_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/lib/at-spi2-atk.xml
===================================================================
--- x/lib/at-spi2-atk.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ x/lib/at-spi2-atk.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/at-spi2-core.xml
===================================================================
--- x/lib/at-spi2-core.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ x/lib/at-spi2-core.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ x/lib/gtk+3.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libglade.xml
===================================================================
--- x/lib/libglade.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ x/lib/libglade.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -34,5 +34,5 @@
     for loading Glade interface files in a program at runtime.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/startup-notification.xml
===================================================================
--- x/lib/startup-notification.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ x/lib/startup-notification.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
     the user through the cursor that the application is loading.</para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-notifyd.xml
===================================================================
--- xfce/apps/xfce4-notifyd.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/apps/xfce4-notifyd.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/exo.xml
===================================================================
--- xfce/core/exo.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/exo.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/garcon.xml
===================================================================
--- xfce/core/garcon.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/garcon.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/gtk-xfce-engine.xml
===================================================================
--- xfce/core/gtk-xfce-engine.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/gtk-xfce-engine.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libwnck2.xml
===================================================================
--- xfce/core/libwnck2.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/libwnck2.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/libxfce4ui.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4util.xml
===================================================================
--- xfce/core/libxfce4util.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/libxfce4util.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfcegui4.xml
===================================================================
--- xfce/core/libxfcegui4.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/libxfcegui4.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar-volman.xml
===================================================================
--- xfce/core/thunar-volman.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/thunar-volman.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/thunar.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/tumbler.xml
===================================================================
--- xfce/core/tumbler.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/tumbler.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-appfinder.xml
===================================================================
--- xfce/core/xfce4-appfinder.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfce4-appfinder.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-power-manager.xml
===================================================================
--- xfce/core/xfce4-power-manager.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfce4-power-manager.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfce4-session.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-settings.xml
===================================================================
--- xfce/core/xfce4-settings.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfce4-settings.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-xkb-plugin.xml
===================================================================
--- xfce/core/xfce4-xkb-plugin.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfce4-xkb-plugin.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfconf.xml
===================================================================
--- xfce/core/xfconf.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfconf.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfdesktop.xml
===================================================================
--- xfce/core/xfdesktop.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfdesktop.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision c4d5919cb8ac2234a0138293832b46e0e7b04036)
+++ xfce/core/xfwm4.xml	(revision 163bbaca1f63990e82b8a5e5ae35a61717f136bc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs76_checked;
+    &lfs77_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>