Index: general/genlib/wayland-protocols.xml
===================================================================
--- general/genlib/wayland-protocols.xml	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ general/genlib/wayland-protocols.xml	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -7,5 +7,5 @@
   <!ENTITY wayland-protocols-download-http "https://wayland.freedesktop.org/releases/wayland-protocols-&wayland-protocols-version;.tar.xz">
   <!ENTITY wayland-protocols-download-ftp  " ">
-  <!ENTITY wayland-protocols-md5sum        "55ddd5fdb02b73b9de9559aaec267315">
+  <!ENTITY wayland-protocols-md5sum        "af38f22d8e233c2f2e00ddc8dcc94694">
   <!ENTITY wayland-protocols-size          "108 KB">
   <!ENTITY wayland-protocols-buildsize     "1.2 MB (with tests)">
Index: general/genutils/desktop-file-utils.xml
===================================================================
--- general/genutils/desktop-file-utils.xml	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ general/genutils/desktop-file-utils.xml	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -8,7 +8,7 @@
            "https://www.freedesktop.org/software/desktop-file-utils/releases/desktop-file-utils-&desktop-file-utils-version;.tar.xz">
   <!ENTITY desktop-file-utils-download-ftp  " ">
-  <!ENTITY desktop-file-utils-md5sum        "599133d51cc9a41bfec186414906b6f1">
-  <!ENTITY desktop-file-utils-size          "132 KB">
-  <!ENTITY desktop-file-utils-buildsize     "1.9 MB">
+  <!ENTITY desktop-file-utils-md5sum        "9364b82e14cfcad881161aa7ea5257ae">
+  <!ENTITY desktop-file-utils-size          "136 KB">
+  <!ENTITY desktop-file-utils-buildsize     "1.8 MB">
   <!ENTITY desktop-file-utils-time          "less than 0.1 SBU">
 ]>
Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ general/graphlib/babl.xml	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY babl-download-http "https://download.gimp.org/pub/babl/0.1/babl-&babl-version;.tar.bz2">
+  <!ENTITY babl-download-http "https://download.gimp.org/pub/babl/0.1/babl-&babl-version;.tar.xz">
   <!ENTITY babl-download-ftp  " ">
-  <!ENTITY babl-md5sum        "dcf1535cadfabe1b3f7c27638d7826a7">
-  <!ENTITY babl-size          "690 KB">
-  <!ENTITY babl-buildsize     "22 MB (with tests)">
-  <!ENTITY babl-time          "0.3 SBU (with tests)">
+  <!ENTITY babl-md5sum        "77c1ff2495923332ad8e61dab4ee0c35">
+  <!ENTITY babl-size          "292 KB">
+  <!ENTITY babl-buildsize     "21 MB (with tests)">
+  <!ENTITY babl-time          "0.4 SBU (with tests)">
 ]>
 
@@ -90,5 +90,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>autoreconf -fiv           &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ introduction/welcome/changelog.xml	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -42,7 +42,28 @@
     </listitem>
        -->
+
     <listitem>
       <para>July 25th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gnutls-3.6.9. Fixes
+          <ulink url="&blfs-ticket-root;12317">#12317</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to babl-0.1.68. Fixes
+          <ulink url="&blfs-ticket-root;12319">#12319</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to SDL2-2.0.10. Fixes
+          <ulink url="&blfs-ticket-root;12322">#12322</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to desktop-file-utils-0.24. Fixes
+          <ulink url="&blfs-ticket-root;12320">#12320</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to wayland-protocols-1.18. Fixes
+          <ulink url="&blfs-ticket-root;12318">#12318</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[timtas] - Update to exim-4.92.1. Fixes
@@ -51,5 +72,4 @@
       </itemizedlist>
     </listitem>
-
  
     <listitem>
Index: multimedia/libdriv/sdl2.xml
===================================================================
--- multimedia/libdriv/sdl2.xml	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ multimedia/libdriv/sdl2.xml	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -7,7 +7,7 @@
   <!ENTITY sdl2-download-http "http://www.libsdl.org/release/SDL2-&sdl2-version;.tar.gz">
   <!ENTITY sdl2-download-ftp  " ">
-  <!ENTITY sdl2-md5sum        "f2ecfba915c54f7200f504d8b48a5dfe">
-  <!ENTITY sdl2-size          "5.0 MB">
-  <!ENTITY sdl2-buildsize     "164 MB (with docs)">
+  <!ENTITY sdl2-md5sum        "5a2114f2a6f348bdab5bf52b994811db">
+  <!ENTITY sdl2-size          "5.3 MB">
+  <!ENTITY sdl2-buildsize     "169 MB (with docs)">
   <!ENTITY sdl2-time          "0.4 SBU (using parallelism=4; with docs)">
 ]>
@@ -114,4 +114,6 @@
 
   </sect2>
+<!--
+  The tests are broken for version 2.0.10.  It cannot find libSDL2_test*.
 
   <sect2 role="testing">
@@ -135,5 +137,5 @@
 
   </sect2>
-
+-->
   <sect2 role="commands">
     <title>Command Explanations</title>
Index: packages.ent
===================================================================
--- packages.ent	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ packages.ent	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -16,5 +16,5 @@
 <!ENTITY cyrus-sasl-version           "2.1.27">
 <!ENTITY gnupg2-version               "2.2.17">
-<!ENTITY gnutls-version               "3.6.8">
+<!ENTITY gnutls-version               "3.6.9">
 <!ENTITY gpgme-version                "1.13.1">
 <!ENTITY haveged-version              "1.9.2">
@@ -187,5 +187,5 @@
 <!ENTITY telepathy-glib-version       "0.24.1">
 <!ENTITY wayland-version              "1.17.0">
-<!ENTITY wayland-protocols-version    "1.17">
+<!ENTITY wayland-protocols-version    "1.18">
 <!ENTITY wv-version                   "1.2.9">
 <!ENTITY xapian-version               "1.4.12">
@@ -194,5 +194,5 @@
 <!-- Chapter 10 -->
 <!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.66">
+<!ENTITY babl-version                 "0.1.68">
 <!ENTITY exiv2-version                "0.27.1">
 <!ENTITY freetype2-version            "2.10.1">
@@ -236,5 +236,5 @@
 <!ENTITY chrpath-version              "0.16">
 <!ENTITY compface-version             "1.5.2">
-<!ENTITY desktop-file-utils-version   "0.23">
+<!ENTITY desktop-file-utils-version   "0.24">
 <!ENTITY gperf-version                "3.0.4">
 <!ENTITY graphviz-version             "2.40.1">   <!-- Even minors only -->
@@ -953,5 +953,5 @@
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
 <!ENTITY sdl-version                  "1.2.15">
-<!ENTITY sdl2-version                 "2.0.9">
+<!ENTITY sdl2-version                 "2.0.10">
 <!ENTITY sound-theme-freedesktop-version "0.8">
 <!ENTITY soundtouch-version           "2.1.0">
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision 38486e6ca36ba2a7026b90aa5e00c21ef3b91566)
+++ postlfs/security/gnutls.xml	(revision 166d300d1f7407a5639d7b78cf6fd4ef112b00fb)
@@ -8,8 +8,8 @@
   <!ENTITY gnutls-download-ftp  "&gnupg-ftp;/gnutls/v3.6/gnutls-&gnutls-version;.tar.xz">
   <!ENTITY gnutls-download-ftp  " ">
-  <!ENTITY gnutls-md5sum        "9dcf0aa45d1a42e1b3ca5d39ec7c61a8">
+  <!ENTITY gnutls-md5sum        "a36cb11809d31268b6ddd17cb38b92bb">
   <!ENTITY gnutls-size          "5.5 MB">
-  <!ENTITY gnutls-buildsize     "86 MB (add 80 MB for tests)">
-  <!ENTITY gnutls-time          "0.6 SBU (using parallelism=4; add 7.7 SBU for tests)">
+  <!ENTITY gnutls-buildsize     "143 MB (add 102 MB for tests)">
+  <!ENTITY gnutls-time          "0.6 SBU (using parallelism=4; add 7.8 SBU for tests)">
 ]>
 