Index: index.xml
===================================================================
--- index.xml	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ index.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040201">
-<!ENTITY releasedate "February 1st, 2004">
+<!ENTITY version "CVS-20040202">
+<!ENTITY releasedate "February 2nd, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ introduction/welcome/changelog.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>February 2nd, 2004 [tushar]: Seperated
+firebird and thunderbird from mozilla.</para></listitem>
 
 <listitem><para>February 1st, 2004 [igor]: Updated to AFPL
Index: xsoft/graphweb/firebird.xml
===================================================================
--- xsoft/graphweb/firebird.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/graphweb/firebird.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,9 @@
+<sect1 id="firebird" xreflabel="MozillaFirebird-&firebird-version;">
+<?dbhtml filename="firebird.html" dir="xsoft"?>
+<title>MozillaFirebird-&firebird-version;</title>
+
+&firebird-intro;
+&firebird-inst;
+
+</sect1>
+
Index: xsoft/graphweb/firebird/firebird-inst.xml
===================================================================
--- xsoft/graphweb/firebird/firebird-inst.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/graphweb/firebird/firebird-inst.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,39 @@
+<sect2>
+<title>Installation of <application>Mozilla Firebird</application></title>
+
+<para>The configuration of <application>Mozilla Firebird</application> is
+very similar to <xref linkend="mozilla"/> and hence the options
+will not be discussed. Refer to the <xref linkend="mozilla"/> for
+explainations and additional configuration information.</para>
+
+<para>Compile and install <application>Mozilla Firebird</application> by
+running the following commands:</para>
+
+<screen><userinput><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
+export BUILD_OFFICIAL="1" &amp;&amp;
+export MOZ_PHOENIX="1" &amp;&amp;
+./configure --prefix=/opt/firebird-&firebird-version; \
+            --enable-default-toolkit=gtk2 \
+            --with-x --with-system-zlib \
+            --with-system-jpeg --with-system-png --with-system-mng \
+            --enable-xft --enable-crypto \
+            --disable-accessibility \
+            --disable-tests --disable-debug \
+            --disable-logging --enable-reorder \
+            --enable-strip --disable-pedantic \
+            --enable-cpp-rtti --enable-extensions=all \
+            --disable-calendar --disable-mailnews &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+ln -sf /opt/firebird-&firebird-version;/bin/MozillaFirebird /usr/bin/MozillaFirebird</command></userinput></screen>
+
+<para>To enable multi-user operation, execute the following:</para>
+
+<screen><userinput><command>cd /opt/firebird--&firebird-version;/lib/mozilla-* &amp;&amp;
+export LD_LIBRARY_PATH="$PWD" &amp;&amp;
+export MOZILLA_FIVE_HOME="$PWD" &amp;&amp;
+./regxpcom &amp;&amp;
+./regchrome &amp;&amp;
+touch `find $PWD -name *.rdf`</command></userinput></screen>
+
+</sect2>
Index: xsoft/graphweb/firebird/firebird-intro.xml
===================================================================
--- xsoft/graphweb/firebird/firebird-intro.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/graphweb/firebird/firebird-intro.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,36 @@
+<sect2>
+<title>Introduction to <application>Mozilla Firebird</application></title>
+
+<para><application>Mozilla Firebird</application> is a stand-alone browser
+based on the <application>Mozilla</application> codebase.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&firebird-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&firebird-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &firebird-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&firebird-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&firebird-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Mozilla Firebird</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="zip"/>, <xref linkend="GTK2"/>, 
+<xref linkend="libIDL"/>, <xref linkend="libmng"/> and
+<xref linkend="which"/>
+</para></sect4>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Recommended Official Patch:
+<ulink url="http://ftp.mozilla.org/pub/mozilla.org/firebird/releases/0.7.1/firebird-0.7-0.7.1.patch"/>
+</para></listitem>
+</itemizedlist>
+</sect3>
+                                                                                                                
+</sect2>
Index: xsoft/graphweb/firebird/firebird.ent
===================================================================
--- xsoft/graphweb/firebird/firebird.ent	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/graphweb/firebird/firebird.ent	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,9 @@
+<!ENTITY firebird SYSTEM "../firebird.xml">
+<!ENTITY firebird-intro SYSTEM "firebird-intro.xml">
+<!ENTITY firebird-inst SYSTEM "firebird-inst.xml">
+<!ENTITY firebird-version "0.7">
+<!ENTITY firebird-download-http "http://ftp.mozilla.org/pub/mozilla.org/firebird/releases/&firebird-version;/MozillaFirebird-source-&firebird-version;.tar.gz">
+<!ENTITY firebird-download-ftp "ftp://ftp.mozilla.org/pub/mozilla.org/firebird/releases/&firebird-version;/MozillaFirebird-source-&firebird-version;.tar.gz">
+<!ENTITY firebird-size "37 MB">
+<!ENTITY firebird-buildsize "500 MB">
+<!ENTITY firebird-time "23 SBU">
Index: xsoft/graphweb/graphweb.xml
===================================================================
--- xsoft/graphweb/graphweb.xml	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ xsoft/graphweb/graphweb.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -7,4 +7,5 @@
 
 &mozilla;
+&firebird;
 &galeon;
 &xsoft-graphweb-konq;
Index: xsoft/graphweb/mozilla/mozilla-inst.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-inst.xml	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ xsoft/graphweb/mozilla/mozilla-inst.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -61,4 +61,14 @@
 ln -nsf mozilla-&mozilla-version; /usr/lib/mozilla</command></userinput></screen>
 
+<para>Some libraries installed by mozilla are also needed by other packages. These
+libraries should be in <filename>/usr/lib</filename> so that other packages can
+link against these. Move them as follows:</para>
+
+<screen><userinput><command>for i in lib{nspr4,plc4,plds4,nss3,smime3,softokn3,ssl3}.so libsoftokn3.chk
+do
+   mv /usr/lib/mozilla-&mozilla-version;/$i /usr/lib/
+   ln -sf ../$i /usr/lib/mozilla-&mozilla-version;/
+done</command></userinput></screen>
+
 <para>Install Enigmail as follows:</para>
 
@@ -108,46 +118,2 @@
 
 </sect2>
-
-<sect2>
-<title>Additional build notes for <application>Mozilla Firebird</application> &firebird-version;</title>
-
-<para>Add the following env variable (The variable is named Phoenix since
-that was the original name for the <application>Mozilla
-Firebird</application> project):</para>
-
-<screen><userinput><command>export MOZ_PHOENIX="1"</command></userinput></screen>
-
-<para>Make sure that the following switches are passed to
-<command>./configure</command>: <option>--disable-calendar</option> and
-<option>--disable-mailnews</option>.</para>
-
-<para>We recommend installing in a separate prefix 
-such as <parameter>--prefix=/opt/firebird-&firebird-version;</parameter>
-to prevent clashes with
-an installed <application>Mozilla</application>.</para>
-
-<para>The <application>Mozilla Firebird</application> executable is
-<command>MozillaFirebird</command>.</para>
-
-</sect2>
-
-<sect2>
-<title>Additional build notes for <application>Mozilla Thunderbird</application> &thunderbird-version;</title>
-
-<para>Add the following env variable:</para>
-
-<screen><userinput><command>export MOZ_THUNDERBIRD="1"</command></userinput></screen>
-
-<para>Make sure that the following switches is passed to
-<command>./configure</command>: <option>--disable-calendar</option>.</para>
-
-<para>We recommend installing in a separate prefix 
-such as
-<parameter>--prefix=/opt/thunderbird-&thunderbird-version;</parameter>
-to prevent clashes with
-an installed <application>Mozilla</application>.</para>
-
-<para>The <application>Mozilla Thunderbird</application> executable is
-<command>thunderbird</command>.</para>
-
-</sect2>
Index: xsoft/graphweb/mozilla/mozilla-intro.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-intro.xml	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ xsoft/graphweb/mozilla/mozilla-intro.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -13,14 +13,10 @@
 <ulink url="http://www.mozilla.org/projects/thunderbird/">Mozilla Thunderbird</ulink>,
 (a stand-alone mail client based on the Mozilla source code). The build instructions
-for these two applications are discussed in this section instead of having a
-seperate section since the build instructions are very similar to those for
-<application>Mozilla</application>. In addition, because of the similarity,
-only the changes required with respect to
-the <application>Mozilla</application> instructions are mentioned.
-The source for these
-projects can be downloaded from their homepages mentioned above. Note that it is
-not possible to interchange the source, that is <application>Mozilla Firebird</application>
-or <application>Mozilla Thunderbird</application> cannot be built from
-<application>Mozilla</application> source code.</para>
+for these two applications are discussed in seperate sections:</para>
+
+<itemizedlist>
+<listitem><para><xref linkend="firebird"/></para></listitem>
+<listitem><para><xref linkend="thunderbird"/></para></listitem>
+</itemizedlist>
 
 <sect3><title>Package information</title>
Index: xsoft/graphweb/mozilla/mozilla.ent
===================================================================
--- xsoft/graphweb/mozilla/mozilla.ent	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ xsoft/graphweb/mozilla/mozilla.ent	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -6,6 +6,4 @@
 <!ENTITY mozilla-desc SYSTEM "mozilla-desc.xml">
 <!ENTITY mozilla-version "1.6">
-<!ENTITY firebird-version "0.7.1">
-<!ENTITY thunderbird-version "0.4">
 <!ENTITY enigmail-version "0.83.0">
 <!ENTITY ipc-version "1.0.5">
Index: xsoft/other/other.xml
===================================================================
--- xsoft/other/other.xml	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ xsoft/other/other.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -6,4 +6,5 @@
 applications that utilize other areas of the Internet.</para>
 
+&thunderbird;
 &pan;
 &balsa;
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/other/thunderbird.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,9 @@
+<sect1 id="thunderbird" xreflabel="MozillaThunderbird-&thunderbird-version;">
+<?dbhtml filename="thunderbird.html" dir="xsoft"?>
+<title>MozillaThunderbird-&thunderbird-version;</title>
+
+&thunderbird-intro;
+&thunderbird-inst;
+
+</sect1>
+
Index: xsoft/other/thunderbird/thunderbird-inst.xml
===================================================================
--- xsoft/other/thunderbird/thunderbird-inst.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/other/thunderbird/thunderbird-inst.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,39 @@
+<sect2>
+<title>Installation of <application>Mozilla Thunderbird</application></title>
+
+<para>The configuration of <application>Mozilla Thunderbird</application> is
+very similar to <xref linkend="mozilla"/> and hence the options
+will not be discussed. Refer to the <xref linkend="mozilla"/> for
+explainations and additional configuration information.</para>
+
+<para>Compile and install <application>Mozilla Thunderbird</application> by
+running the following commands:</para>
+
+<screen><userinput><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
+export BUILD_OFFICIAL="1" &amp;&amp;
+export MOZ_THUNDERBIRD="1" &amp;&amp;
+./configure --prefix=/opt/thunderbird-&thunderbird-version; \
+            --enable-default-toolkit=gtk2 \
+            --with-x --with-system-zlib \
+            --with-system-jpeg --with-system-png --with-system-mng \
+            --enable-xft --enable-crypto \
+            --disable-accessibility \
+            --disable-tests --disable-debug \
+            --disable-logging --enable-reorder \
+            --enable-strip --disable-pedantic \
+            --enable-cpp-rtti --enable-extensions=all \
+            --disable-calendar &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+ln -sf /opt/thunderbird-&thunderbird-version;/bin/thunderbird /usr/bin/MozillaThunderbird</command></userinput></screen>
+
+<para>To enable multi-user operation, execute the following:</para>
+
+<screen><userinput><command>cd /opt/thunderbird--&thunderbird-version;/lib/mozilla-* &amp;&amp;
+export LD_LIBRARY_PATH="$PWD" &amp;&amp;
+export MOZILLA_FIVE_HOME="$PWD" &amp;&amp;
+./regxpcom &amp;&amp;
+./regchrome &amp;&amp;
+touch `find $PWD -name *.rdf`</command></userinput></screen>
+
+</sect2>
Index: xsoft/other/thunderbird/thunderbird-intro.xml
===================================================================
--- xsoft/other/thunderbird/thunderbird-intro.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/other/thunderbird/thunderbird-intro.xml	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,28 @@
+<sect2>
+<title>Introduction to <application>Mozilla Thunderbird</application></title>
+
+<para><application>Mozilla Thunderbird</application> is a stand-alone mail/news client
+based on the <application>Mozilla</application> codebase.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&thunderbird-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&thunderbird-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &thunderbird-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&thunderbird-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&thunderbird-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Mozilla Thunderbird</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="zip"/>, <xref linkend="GTK2"/>, 
+<xref linkend="libIDL"/>, <xref linkend="libmng"/> and
+<xref linkend="which"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: xsoft/other/thunderbird/thunderbird.ent
===================================================================
--- xsoft/other/thunderbird/thunderbird.ent	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
+++ xsoft/other/thunderbird/thunderbird.ent	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -0,0 +1,9 @@
+<!ENTITY thunderbird SYSTEM "../thunderbird.xml">
+<!ENTITY thunderbird-intro SYSTEM "thunderbird-intro.xml">
+<!ENTITY thunderbird-inst SYSTEM "thunderbird-inst.xml">
+<!ENTITY thunderbird-version "0.4">
+<!ENTITY thunderbird-download-http "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/&thunderbird-version;/thunderbird-source-&thunderbird-version;.tar.bz2">
+<!ENTITY thunderbird-download-ftp "ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/&thunderbird-version;/thunderbird-source-&thunderbird-version;.tar.bz2">
+<!ENTITY thunderbird-size "39 MB">
+<!ENTITY thunderbird-buildsize "500 MB">
+<!ENTITY thunderbird-time "23 SBU">
Index: xsoft/xsoft.ent
===================================================================
--- xsoft/xsoft.ent	(revision b394e5f7c18d0031124b2f87e0a5c3c3e782a279)
+++ xsoft/xsoft.ent	(revision 167dc1dccd3ccb330281b3fa89815f40472832c1)
@@ -27,7 +27,9 @@
 <!ENTITY xsoft-graphweb-konq SYSTEM "graphweb/konq.xml">
 <!ENTITY % mozilla SYSTEM "graphweb/mozilla/mozilla.ent">
+<!ENTITY % firebird SYSTEM "graphweb/firebird/firebird.ent">
 <!ENTITY % galeon SYSTEM "graphweb/galeon/galeon.ent">
 <!ENTITY % dillo SYSTEM "graphweb/dillo/dillo.ent">
 %mozilla;
+%firebird;
 %galeon;
 %dillo;
@@ -35,6 +37,8 @@
 <!-- Other -->
 <!ENTITY xsoft-other SYSTEM "other/other.xml">
+<!ENTITY % thunderbird SYSTEM "other/thunderbird/thunderbird.ent">
 <!ENTITY % pan SYSTEM "other/pan/pan.ent">
 <!ENTITY % balsa SYSTEM "other/balsa/balsa.ent">
+%thunderbird;
 %pan;
 %balsa;