Index: general/genlib/gspell.xml
===================================================================
--- general/genlib/gspell.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ general/genlib/gspell.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -137,5 +137,5 @@
       </seglistitem>
     </segmentedlist>
-<!--
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@@ -143,12 +143,12 @@
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="gspell-appl">
-        <term><command>gspell-appl</command></term>
+      <varlistentry id="gspell-app1">
+        <term><command>gspell-app1</command></term>
         <listitem>
           <para>
-            ?????
+            checks the spelling of a text entered in a window.
           </para>
-          <indexterm zone="gspell gspell-appl">
-            <primary sortas="b-gspell-appl">gspell-appl</primary>
+          <indexterm zone="gspell gspell-app1">
+            <primary sortas="b-gspell-app1">gspell-app1</primary>
           </indexterm>
         </listitem>
@@ -159,13 +159,13 @@
         <listitem>
           <para>
-             ?????
+            is the <application>gspell</application> API library.
           </para>
-          <indexterm zone="gspell libgspell-1">
-            <primary sortas="c-libgspell-1">libgspell-1.so</primary>
+          <indexterm zone="gspell libgspell">
+            <primary sortas="c-libgspell">libgspell-1.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>
     </variablelist>
--->
+
   </sect2>
 </sect1>
Index: gnome/applications/evince.xml
===================================================================
--- gnome/applications/evince.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ gnome/applications/evince.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-screenshot.xml
===================================================================
--- gnome/applications/gnome-screenshot.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ gnome/applications/gnome-screenshot.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ gnome/platform/libchamplain.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ gnome/platform/libgtop.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/zenity.xml
===================================================================
--- gnome/platform/zenity.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ gnome/platform/zenity.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/gedit.xml
===================================================================
--- postlfs/editors/gedit.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ postlfs/editors/gedit.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -137,5 +137,5 @@
       <para>
         Some tests require grep built with perl regular expressions. To
-        obtain this, rebuild grep with the LFS Chapter 6 instructions after
+        obtain this, rebuild grep with the LFS Chapter 8 instructions after
         installing <xref linkend="pcre"/>.
       </para>
Index: postlfs/filesystems/dosfstools.xml
===================================================================
--- postlfs/filesystems/dosfstools.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ postlfs/filesystems/dosfstools.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ postlfs/filesystems/xfsprogs.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/amtk.xml
===================================================================
--- x/lib/amtk.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ x/lib/amtk.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtksourceview4.xml
===================================================================
--- x/lib/gtksourceview4.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ x/lib/gtksourceview4.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libdazzle.xml
===================================================================
--- x/lib/libdazzle.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ x/lib/libdazzle.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libhandy.xml
===================================================================
--- x/lib/libhandy.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ x/lib/libhandy.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/tepl.xml
===================================================================
--- x/lib/tepl.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ x/lib/tepl.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision 10b16aff51dcaf2d35d8c81f49ece5e9691c9a3e)
+++ xsoft/graphweb/epiphany.xml	(revision 170e30838136947a4c08cccb8b2afdb5dc51064b)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>