Index: multimedia/libdriv/libcanberra.xml
===================================================================
--- multimedia/libdriv/libcanberra.xml	(revision 8d3eae9ab418fd62dfae9fad098e2a2ad810f9ed)
+++ multimedia/libdriv/libcanberra.xml	(revision 171c0d5b9a522da72dca72f58ca4c8cc55e4eafb)
@@ -7,8 +7,8 @@
   <!ENTITY libcanberra-download-http "http://0pointer.de/lennart/projects/libcanberra/libcanberra-&libcanberra-version;.tar.gz">
   <!ENTITY libcanberra-download-ftp  " ">
-  <!ENTITY libcanberra-md5sum        "395e83f7eac48b3ce8372a714026c85d">
-  <!ENTITY libcanberra-size          "448 KB">
-  <!ENTITY libcanberra-buildsize     "5 MB">
-  <!ENTITY libcanberra-time          "0.1 SBU">
+  <!ENTITY libcanberra-md5sum        "c198b4811598c4c161ff505e4531b02c">
+  <!ENTITY libcanberra-size          "476 KB">
+  <!ENTITY libcanberra-buildsize     "6 MB">
+  <!ENTITY libcanberra-time          "0.2 SBU">
 ]>
 
@@ -34,5 +34,5 @@
     desktops, such as <application>GNOME</application>.</para>
 
-    &lfs65_checked;
+    &lfs70_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -68,4 +68,6 @@
       <xref linkend="gstreamer"/>,
       <xref linkend="gtk2"/>,
+      <xref linkend="gtk3"/>,
+      <xref linkend="gtk-doc"/>,
       <xref linkend='pulseaudio'/>,
       <xref linkend="xorg7-proto"/>, and 
@@ -85,5 +87,5 @@
 
 <screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
-    --with-gconf-schema-file-dir=&gnome-etc-dir;/gconf/schemas &amp;&amp;
+    --with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas &amp;&amp;
 make</userinput></screen>
 
@@ -99,7 +101,10 @@
     <title>Command Explanations</title>
 
-    <para><option>--with-gconf-schema-file-dir=&gnome-etc-dir;/gconf/schemas</option>:
+    <para><option>--with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas</option>:
     Omit this parameter if you are not installing
-    <application>libcanberra</application> for a GNOME-2 installation.</para>
+    <application>libcanberra</application> for a GNOME installation.</para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
 
   </sect2>
@@ -114,10 +119,13 @@
 
       <seglistitem>
-        <seg>canberra-gtk-play</seg>
-        <seg>libcanberra-gtk.so, libcanberra.so, libcanberra-multi.so,
-        libcanberra-null.so, libcanberra-oss.so, and
-        libcanberra-gtk-module.so</seg>
-        <seg>/usr/{lib/libcanberra-0.12,share/{doc/libcanberra,
-        gtk-doc/html/libcanberra}}</seg>
+        <seg>canberra-boot and canberra-gtk-play</seg>
+        <seg>libcanberra-alsa.so, libcanberra-gstreamer.so,
+        libcanberra-gtk-module.so, libcanberra-gtk.so,
+        libcanberra-gtk3-module.so, libcanberra-gtk3.so, libcanberra-multi.so,
+        libcanberra-null.so, libcanberra-oss.so, libcanberra-pulse.so, and
+        libcanberra.so</seg>
+        <seg>/usr/{lib/{gnome-settings-daemon-3.0/gtk-modules,libcanberra-0.28},
+        share/{doc/libcanberra,gdm/autostart/LoginWindow,gnome/{autostart,
+        shutdown},gtk-doc/html/libcanberra}}</seg>
       </seglistitem>
     </segmentedlist>
@@ -128,4 +136,14 @@
       <?dbhtml list-presentation="table"?>
 
+      <!--<varlistentry id="canberra-boot">
+        <term><command>canberra-boot</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="libcanberra canberra-boot">
+            <primary sortas="b-canberra-boot">canberra-boot</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>-->
+
       <varlistentry id="canberra-gtk-play">
         <term><command>canberra-gtk-play</command></term>
@@ -138,10 +156,100 @@
       </varlistentry>
 
+      <varlistentry id="libcanberra-alsa">
+        <term><filename class='libraryfile'>libcanberra-alsa.so</filename></term>
+        <listitem>
+          <para>is an <application>ALSA</application> backend.</para>
+          <indexterm zone="libcanberra libcanberra-alsa">
+            <primary sortas="c-libcanberra-alsa">libcanberra-alsa.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-gstreamer">
+        <term><filename class='libraryfile'>libcanberra-gstreamer.so</filename></term>
+        <listitem>
+          <para>is an <application>GStreamer</application> backend.</para>
+          <indexterm zone="libcanberra libcanberra-gstreamer">
+            <primary sortas="c-libcanberra-gstreamer">libcanberra-gstreamer.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-gtk-module">
+        <term><filename class='libraryfile'>libcanberra-gtk-module.so</filename></term>
+        <listitem>
+          <para>contains Gtk+2 module functions.</para>
+          <indexterm zone="libcanberra libcanberra-gtk-module">
+            <primary sortas="c-libcanberra-gtk-module">libcanberra-gtk-module.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libcanberra-gtk">
         <term><filename class='libraryfile'>libcanberra-gtk.so</filename></term>
         <listitem>
-          <para>contains Gtk+ libcanberra bindings functions.</para>
+          <para>contains Gtk+2 libcanberra bindings functions.</para>
           <indexterm zone="libcanberra libcanberra-gtk">
             <primary sortas="c-libcanberra-gtk">libcanberra-gtk.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-gtk3-module">
+        <term><filename class='libraryfile'>libcanberra-gtk3-module.so</filename></term>
+        <listitem>
+          <para>contains Gtk+3 module functions.</para>
+          <indexterm zone="libcanberra libcanberra-gtk3-module">
+            <primary sortas="c-libcanberra-gtk3-module">libcanberra-gtk3-module.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-gtk3">
+        <term><filename class='libraryfile'>libcanberra-gtk3.so</filename></term>
+        <listitem>
+          <para>contains Gtk+3 libcanberra bindings functions.</para>
+          <indexterm zone="libcanberra libcanberra-gtk3">
+            <primary sortas="c-libcanberra-gtk3">libcanberra-gtk3.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-multi">
+        <term><filename class='libraryfile'>libcanberra-multi.so</filename></term>
+        <listitem>
+          <para>is a multi backend.</para>
+          <indexterm zone="libcanberra libcanberra-multi">
+            <primary sortas="c-libcanberra-multi">libcanberra-multi.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-null">
+        <term><filename class='libraryfile'>libcanberra-null.so</filename></term>
+        <listitem>
+          <para>is a null backend.</para>
+          <indexterm zone="libcanberra libcanberra-null">
+            <primary sortas="c-libcanberra-null">libcanberra-null.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-oss">
+        <term><filename class='libraryfile'>libcanberra-oss.so</filename></term>
+        <listitem>
+          <para>is an oss backend.</para>
+          <indexterm zone="libcanberra libcanberra-oss">
+            <primary sortas="c-libcanberra-oss">libcanberra-oss.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-pulse">
+        <term><filename class='libraryfile'>libcanberra-pulse.so</filename></term>
+        <listitem>
+          <para>is an <application>PulseAudio</application> backend.</para>
+          <indexterm zone="libcanberra libcanberra-pulse">
+            <primary sortas="c-libcanberra-pulse">libcanberra-pulse.so</primary>
           </indexterm>
         </listitem>
@@ -158,44 +266,4 @@
       </varlistentry>
 
-      <varlistentry id="libcanberra-multi">
-        <term><filename class='libraryfile'>libcanberra-multi.so</filename></term>
-        <listitem>
-          <para>is a multi backend.</para>
-          <indexterm zone="libcanberra libcanberra-multi">
-            <primary sortas="c-libcanberra-multi">libcanberra-multi.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libcanberra-null">
-        <term><filename class='libraryfile'>libcanberra-null.so</filename></term>
-        <listitem>
-          <para>is a null backend.</para>
-          <indexterm zone="libcanberra libcanberra-null">
-            <primary sortas="c-libcanberra-null">libcanberra-null.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libcanberra-oss">
-        <term><filename class='libraryfile'>libcanberra-oss.so</filename></term>
-        <listitem>
-          <para>is an oss backend.</para>
-          <indexterm zone="libcanberra libcanberra-oss">
-            <primary sortas="c-libcanberra-oss">libcanberra-oss.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libcanberra-gtk-module">
-        <term><filename class='libraryfile'>libcanberra-gtk-module.so</filename></term>
-        <listitem>
-          <para>contains Gtk+ module functions.</para>
-          <indexterm zone="libcanberra libcanberra-gtk-module">
-            <primary sortas="c-libcanberra-gtk-module">libcanberra-gtk-module.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 