Index: general/genlib/libusb.xml
===================================================================
--- general/genlib/libusb.xml	(revision 9e9caf1f14bd4ba33e7fdeb500853ae3167705ec)
+++ general/genlib/libusb.xml	(revision 0172b27da6418d36da4d1be5652c9cfbf94947e1)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libusb-download-http "&sourceforge-repo;/libusb/libusb-&libusb-version;.tar.bz2">
+  <!ENTITY libusb-download-http "https://github.com//libusb/libusb/releases/download/v&libusb-version;/libusb-&libusb-version;.tar.bz2">
   <!ENTITY libusb-download-ftp  " ">
-  <!ENTITY libusb-md5sum        "1d4eb194eaaa2bcfbba28102768c7dbf">
-  <!ENTITY libusb-size          "777 KB">
-  <!ENTITY libusb-buildsize     "7.6 MB (additional 2.8 MB for API documentation)">
-  <!ENTITY libusb-time          "0.1 SBU">
+  <!ENTITY libusb-md5sum        "1da9ea3c27b3858fa85c5f4466003e44">
+  <!ENTITY libusb-size          "596 KB">
+  <!ENTITY libusb-buildsize     "5.7 MB (add 1.5 MB for API documentation)">
+  <!ENTITY libusb-time          "less than 0.1 SBU">
 ]>
 
@@ -97,5 +97,7 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>sed -i "s/^PROJECT_LOGO/#&amp;/" doc/doxygen.cfg.in &amp;&amp;
+
+./configure --prefix=/usr --disable-static &amp;&amp;
 make -j1</userinput></screen>
 
@@ -126,4 +128,13 @@
                     /usr/share/doc/libusb-&libusb-version;/apidocs</userinput></screen>
 
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>sed -i ...</command>: This sed prevents a warning when 
+      building the documentation.
+    </para>
   </sect2>
 
Index: general/genlib/libxkbcommon.xml
===================================================================
--- general/genlib/libxkbcommon.xml	(revision 9e9caf1f14bd4ba33e7fdeb500853ae3167705ec)
+++ general/genlib/libxkbcommon.xml	(revision 0172b27da6418d36da4d1be5652c9cfbf94947e1)
@@ -7,6 +7,6 @@
   <!ENTITY libxkbcommon-download-http "http://xkbcommon.org/download/libxkbcommon-&libxkbcommon-version;.tar.xz">
   <!ENTITY libxkbcommon-download-ftp  " ">
-  <!ENTITY libxkbcommon-md5sum        "67a8f322b5fa32352272e811bb90dd73">
-  <!ENTITY libxkbcommon-size          "708 KB">
+  <!ENTITY libxkbcommon-md5sum        "61ba550fc529ea4d6f9faa2cad62c95f">
+  <!ENTITY libxkbcommon-size          "608 KB">
   <!ENTITY libxkbcommon-buildsize     "34 MB (with tests)">
   <!ENTITY libxkbcommon-time          "0.2 SBU (with tests)">
Index: general/graphlib/graphite2.xml
===================================================================
--- general/graphlib/graphite2.xml	(revision 9e9caf1f14bd4ba33e7fdeb500853ae3167705ec)
+++ general/graphlib/graphite2.xml	(revision 0172b27da6418d36da4d1be5652c9cfbf94947e1)
@@ -8,8 +8,8 @@
            "https://github.com/silnrsi/graphite/releases/download/&graphite2-version;/graphite2-&graphite2-version;.tgz">
   <!ENTITY graphite2-download-ftp  " ">
-  <!ENTITY graphite2-md5sum        "236d2cb1f831fe33083112afbb555f0e">
+  <!ENTITY graphite2-md5sum        "17e6a3b1a88c100c9e3fc0763c85d269">
   <!ENTITY graphite2-size          "3.7 MB">
-  <!ENTITY graphite2-buildsize     "21 MB (plus 6MB for docs and 1MB for tests)">
-  <!ENTITY graphite2-time          "0.2 SBU (plus 0.1 SBU for docs)">
+  <!ENTITY graphite2-buildsize     "21 MB (with tests, add 6 MB for docs)">
+  <!ENTITY graphite2-time          "0.3 SBU (with tests, add 0.1 SBU for docs)">
 ]>
 
@@ -144,7 +144,5 @@
 cd    build &amp;&amp;
 
-cmake -DCMAKE_INSTALL_PREFIX=/usr \
-      .. &amp;&amp;
-
+cmake -DCMAKE_INSTALL_PREFIX=/usr .. &amp;&amp;
 make</userinput></screen>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9e9caf1f14bd4ba33e7fdeb500853ae3167705ec)
+++ introduction/welcome/changelog.xml	(revision 0172b27da6418d36da4d1be5652c9cfbf94947e1)
@@ -47,4 +47,20 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to mlt-6.4.0. Fixes
+          <ulink url="&blfs-ticket-root;8526">#8526</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libusb-1.0.21. Fixes
+          <ulink url="&blfs-ticket-root;8525">#8525</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to graphite2-1.3.9. Fixes
+          <ulink url="&blfs-ticket-root;8523">#8523</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libxkbcommon-0.7.0. Fixes
+          <ulink url="&blfs-ticket-root;8522">#8522</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to stunnel-5.37. Fixes
           <ulink url="&blfs-ticket-root;8510">#8510</ulink>.</para>
Index: multimedia/libdriv/mlt.xml
===================================================================
--- multimedia/libdriv/mlt.xml	(revision 9e9caf1f14bd4ba33e7fdeb500853ae3167705ec)
+++ multimedia/libdriv/mlt.xml	(revision 0172b27da6418d36da4d1be5652c9cfbf94947e1)
@@ -7,7 +7,7 @@
   <!ENTITY mlt-download-http "&sourceforge-repo2;/projects/mlt/files/mlt-&mlt-version;.tar.gz">
   <!ENTITY mlt-download-ftp  " ">
-  <!ENTITY mlt-md5sum        "cdbc5d1d686b75dd2b8fd14059bdd9d4">
+  <!ENTITY mlt-md5sum        "5aaf6c8d89d19abd28c0587d7972106e">
   <!ENTITY mlt-size          "1.3 MB">
-  <!ENTITY mlt-buildsize     "66 MB">
+  <!ENTITY mlt-buildsize     "64 MB">
   <!ENTITY mlt-time          "0.4 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9e9caf1f14bd4ba33e7fdeb500853ae3167705ec)
+++ packages.ent	(revision 0172b27da6418d36da4d1be5652c9cfbf94947e1)
@@ -143,7 +143,7 @@
 <!ENTITY libunique-version            "1.1.6">
 <!ENTITY libunistring-version         "0.9.6">
-<!ENTITY libusb-version               "1.0.20">
+<!ENTITY libusb-version               "1.0.21">
 <!ENTITY libusb-compat-version        "0.1.5">
-<!ENTITY libxkbcommon-version         "0.6.1">
+<!ENTITY libxkbcommon-version         "0.7.0">
 <!ENTITY libxml2-version              "2.9.4">
 <!ENTITY libxslt-version              "1.1.29">
@@ -179,5 +179,5 @@
 <!ENTITY gegl-version                 "0.3.8">
 <!ENTITY giflib-version               "5.1.4">
-<!ENTITY graphite2-version            "1.3.8">
+<!ENTITY graphite2-version            "1.3.9">
 <!ENTITY harfbuzz-version             "1.3.3">
 <!ENTITY ijs-version                  "0.35">
@@ -763,5 +763,5 @@
 <!ENTITY libvorbis-version            "1.3.5">
 <!ENTITY libvpx-version               "1.6.0">
-<!ENTITY mlt-version                  "6.2.0">
+<!ENTITY mlt-version                  "6.4.0">
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.1.3">