Index: book/bookinfo.xml
===================================================================
--- book/bookinfo.xml	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ book/bookinfo.xml	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -42,8 +42,9 @@
 
   <revhistory>
+
     <revision>
-      <revnumber>&version;</revnumber>
-      <date>&pubdate;</date>
-      <revremark>Ongoing Release</revremark>
+      <revnumber>7.8</revnumber>
+      <date>2015-10-01</date>
+      <revremark>Twelfth release</revremark>
     </revision>
 
Index: general.ent
===================================================================
--- general.ent	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ general.ent	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -1,14 +1,14 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "29">                   <!-- Always 2 digits -->
-<!ENTITY month        "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
-<!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 29th &year;">
+<!ENTITY version      "7.8">
+<!ENTITY releasedate  "October 1st &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
-<!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
-<!ENTITY lfs-version  "development">          <!-- x.y|development] -->
+<!ENTITY blfs-version "7.8">                  <!-- svn|[release #] -->
+<!ENTITY lfs-version  "7.8">          <!-- x.y|development] -->
 <!ENTITY last-commit  "$Date$"> <!-- Automatic update -->
 <!ENTITY lfs-domainname       "linuxfromscratch.org">
@@ -22,5 +22,5 @@
 <!-- downloads - root must not have an entity because it is needed for scripts
      change svn to x.y for release -->
-<!ENTITY downloads-root       "http://www.linuxfromscratch.org/blfs/downloads/svn">
+<!ENTITY downloads-root       "http://www.linuxfromscratch.org/blfs/downloads/7.8">
 <!ENTITY downloads-project    "http://downloads.&lfs-domainname;">
 <!ENTITY sources-anduin-http  "http://anduin.&lfs-domainname;/sources/BLFS/svn">
@@ -31,5 +31,5 @@
 <!ENTITY hints-root           "http://www.&lfs-domainname;/hints">
 <!ENTITY patch-downloads      "http://www.linuxfromscratch.org/patches/downloads">
-<!ENTITY patch-root           "http://www.&lfs-domainname;/patches/blfs/svn">
+<!ENTITY patch-root           "http://www.&lfs-domainname;/patches/blfs/7.8">
 <!ENTITY errata               "http://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
 <!ENTITY blfs-ticket-root     "http://wiki.&lfs-domainname;/blfs/ticket/">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ introduction/welcome/changelog.xml	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -44,4 +44,27 @@
 
 -->
+
+    <listitem>
+      <para>October 1st, 2015</para>
+      <itemizedlist>
+       <listitem>
+          <para>[bdubbs] - Release of BLFS-7.8.</para>
+       </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>September 30th, 2015</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to wpa_supplicant-2.5. Fixes
+          <ulink url="&blfs-ticket-root;6983">#6983</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to thunderbird-38.3.0. Fixes
+          <ulink url="&blfs-ticket-root;6985">#6985</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ introduction/welcome/credits.xml	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -30,7 +30,6 @@
       <listitem><para>Bruce Dubbs            </para></listitem>
       <listitem><para>Pierre Labastie        </para></listitem>
-      <listitem><para>Randy McMurchy         </para></listitem>
       <listitem><para>Ken Moffat             </para></listitem>
-      <listitem><para>Ragnar Thomsen         </para></listitem>
+      <listitem><para>Douglas Reno           </para></listitem>
       <listitem><para>Igor &#381;ivkovi&#263;</para></listitem>
 
@@ -74,4 +73,5 @@
       <listitem><para>Chris Lynn          </para></listitem>
       <listitem><para>Andrew McMurry      </para></listitem>
+      <listitem><para>Randy McMurchy      </para></listitem>
       <listitem><para>Denis Mugnier       </para></listitem>
       <listitem><para>Billy O'Connor      </para></listitem>
@@ -85,4 +85,5 @@
       <listitem><para>Chris Staub         </para></listitem>
       <listitem><para>Jesse Tie-Ten-Quee  </para></listitem>
+      <listitem><para>Ragnar Thomsen      </para></listitem>
       <listitem><para>Thomas Trepl        </para></listitem>
       <listitem><para>Tushar Teredesai    </para></listitem>
Index: kde/kf5/kf5-intro.xml
===================================================================
--- kde/kf5/kf5-intro.xml	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ kde/kf5/kf5-intro.xml	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -45,25 +45,34 @@
     <para>
       It is a good idea to add the following variables to your
-      system or personal profile:
-    </para>
-
-<screen role="root"><userinput>cat &gt; /etc/profile.d/kf5.sh &lt;&lt; "EOF"
+      system or personal profiles:
+    </para>
+
+<screen role="root"><userinput>cat &gt;&gt; /etc/profile.d/qt5.sh &lt;&lt; "EOF"
+<literal># Begin kf5 extention for /etc/profile.d/qt5.sh
+
+pathappend /usr/lib/qt5/plugins    QT_PLUGIN_PATH
+pathappend $QT5DIR/lib/plugins     QT_PLUGIN_PATH
+
+pathappend /usr/lib/qt5/qml        QML_IMPORT_PATH
+pathappend $QT5DIR/lib/qml         QML_IMPORT_PATH
+
+pathappend /usr/lib/qt5/qml        QML2_IMPORT_PATH
+pathappend $QT5DIR/lib/qml         QML2_IMPORT_PATH
+
+# End extention for /etc/profile.d/qt5.sh</literal>
+EOF
+
+cat &gt; /etc/profile.d/kf5.sh &lt;&lt; "EOF"
 <literal># Begin /etc/profile.d/kf5.sh
 
-. /etc/profile.d/qt5.sh
-
 export KF5_PREFIX=/usr
-
-pathappend /usr/lib/qt5/plugins    QT_PLUGIN_PATH
-pathappend $QT5DIR/lib/qt5/plugins QT_PLUGIN_PATH
-
-pathappend /usr/lib/qt5/qml        QML_IMPORT_PATH
-pathappend $QT5DIR/lib/qt5/qml     QML_IMPORT_PATH
-
-pathappend /usr/lib/qt5/qml        QML2_IMPORT_PATH
-pathappend $QT5DIR/lib/qt5/qml     QML2_IMPORT_PATH
 
 # End /etc/profile.d/kf5.sh</literal>
 EOF</userinput></screen>
+
+    <note><para>If <application>qt5</application> was installed in /usr, the
+    $QT5DIR/lib/ portions of the above paths may need to be changed to
+    $QT5DIR/lib/qt5/.</para></note>
+
     <warning>
       <para>
Index: networking/netprogs/wpa_supplicant.xml
===================================================================
--- networking/netprogs/wpa_supplicant.xml	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ networking/netprogs/wpa_supplicant.xml	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -8,8 +8,8 @@
            "http://hostap.epitest.fi/releases/wpa_supplicant-&wpa_supplicant-version;.tar.gz">
   <!ENTITY wpa_supplicant-download-ftp  " ">
-  <!ENTITY wpa_supplicant-md5sum        "f0037dbe03897dcaf2ad2722e659095d">
-  <!ENTITY wpa_supplicant-size          "2.4 MB">
-  <!ENTITY wpa_supplicant-buildsize     "28 MB">
-  <!ENTITY wpa_supplicant-time          "0.2 SBU">
+  <!ENTITY wpa_supplicant-md5sum        "96ff75c3a514f1f324560a2376f13110">
+  <!ENTITY wpa_supplicant-size          "2.5 MB">
+  <!ENTITY wpa_supplicant-buildsize     "31 MB">
+  <!ENTITY wpa_supplicant-time          "0.4 SBU (includes optional gui)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ packages.ent	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -360,5 +360,5 @@
 <!ENTITY wget-version                 "1.16.3">
 <!ENTITY wireless-tools-version       "29">
-<!ENTITY wpa_supplicant-version       "2.4">
+<!ENTITY wpa_supplicant-version       "2.5">
 
 <!-- Chapter 16 -->
@@ -649,5 +649,5 @@
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.21">
-<!ENTITY thunderbird-version          "38.2.0">
+<!ENTITY thunderbird-version          "38.3.0">
 <!ENTITY tigervnc-version             "1.5.0">
 <!ENTITY transmission-version         "2.84">
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision e48056fd9568ea93358a379c7292825d6168bdc1)
+++ xsoft/other/thunderbird.xml	(revision 173a7508261c61d4edec6a4afa18e813b4e2371d)
@@ -8,8 +8,8 @@
 <!--  <!ENTITY thunderbird-download-ftp "&mozilla-ftp;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.bz2">-->
   <!ENTITY thunderbird-download-ftp " ">
-  <!ENTITY thunderbird-md5sum            "df97af48b670cdaa5196a90360c952f7">
+  <!ENTITY thunderbird-md5sum            "81dd8b5679787fd5fd91b76bc7923951">
   <!ENTITY thunderbird-size              "195 MB">
-  <!ENTITY thunderbird-buildsize         "3.9 GB (72 MB installed)">
-  <!ENTITY thunderbird-time              "8.6 SBU (with -j4, estimated 30 SBU with -j1)">
+  <!ENTITY thunderbird-buildsize         "4.7 GB (68 MB installed)">
+  <!ENTITY thunderbird-time              "6.5 SBU (with -j12, estimated 30 SBU with -j1)">
 ]>
 
@@ -230,5 +230,7 @@
 ac_add_options --enable-url-classifier
 
-ac_add_options --enable-system-cairo
+# Use internal cairo due to reports of unstable execution with
+# system cairo
+#ac_add_options --enable-system-cairo
 ac_add_options --enable-system-ffi
 ac_add_options --enable-system-pixman