Index: basicnet/basicnet.ent
===================================================================
--- basicnet/basicnet.ent	(revision a11e412d48a154656848dfd52fee100b38d91426)
+++ basicnet/basicnet.ent	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -28,4 +28,5 @@
 <!ENTITY % tcpwrappers SYSTEM "netprogs/tcpwrappers/tcpwrappers.ent">
 <!ENTITY % inetutils SYSTEM "netprogs/inetutils/inetutils.ent">
+<!ENTITY % nfs-utils SYSTEM "netprogs/nfs-utils/nfs-utils.ent">
 %ncftp;
 %cvs;
@@ -34,4 +35,5 @@
 %tcpwrappers;
 %inetutils;
+%nfs-utils;
 
 <!-- Basic Networking Utilities -->
Index: basicnet/netprogs/netprogs.xml
===================================================================
--- basicnet/netprogs/netprogs.xml	(revision a11e412d48a154656848dfd52fee100b38d91426)
+++ basicnet/netprogs/netprogs.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -10,3 +10,4 @@
 &portmap;
 &inetutils;
+&nfs-utils;
 </chapter>
Index: basicnet/netprogs/nfs-utils.xml
===================================================================
--- basicnet/netprogs/nfs-utils.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,16 @@
+<sect1 id="nfs-utils" xreflabel="nfs-utils-&nfs-utils-version;">
+<?dbhtml filename="nfs-utils.html" dir="basicnet"?>
+<title>nfs-utils-&nfs-utils-version;</title>
+
+<para>TO BE DONE</para>
+
+<!--
+&nfs-utils-intro;
+&nfs-utils-inst;
+&nfs-utils-exp;
+&nfs-utils-config;
+&nfs-utils-desc;
+-->
+
+</sect1>
+
Index: basicnet/netprogs/nfs-utils/nfs-utils-config.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-config.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils/nfs-utils-config.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Configuring nfs-utils</title>
+
+<sect3><title>Config files</title>
+<para><userinput>List of config files</userinput></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para><userinput>USERINPUT GOES HERE</userinput> Blah blah blah about config.
+</para>
+</sect3>
+
+</sect2>
+
Index: basicnet/netprogs/nfs-utils/nfs-utils-desc.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-desc.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils/nfs-utils-desc.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Contents</title>
+
+<para>The nfs-utils package contains <userinput>LISTOFFILES</userinput></para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>item1</title>
+<para>item1 does this</para></sect3>
+
+<sect3><title>item2</title>
+<para>item2 does that</para></sect3>
+
+</sect2>
+
Index: basicnet/netprogs/nfs-utils/nfs-utils-exp.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-exp.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils/nfs-utils-exp.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,7 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>COMMAND:</userinput> This command does something.</para>
+
+</sect2>
+
Index: basicnet/netprogs/nfs-utils/nfs-utils-inst.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-inst.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils/nfs-utils-inst.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,9 @@
+<sect2>
+<title>Installation of nfs-utils</title>
+
+<para>Install nfs-utils by running the following commands:</para>
+
+<para><screen><userinput>./configure </userinput></screen></para>
+
+</sect2>
+
Index: basicnet/netprogs/nfs-utils/nfs-utils-intro.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-intro.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils/nfs-utils-intro.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,26 @@
+<sect2>
+<title>Introduction to <application>nfs-utils</application></title>
+
+<para>The <applications>nfs-utils</application> package contains... This is useful for...</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&nfs-utils-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&nfs-utils-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &nfs-utils-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&nfs-utils-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&nfs-utils-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>nfs-utils</application> dependencies</title>
+<sect4><title>Required</title>
+<para>DEPENDENCE LIST</para></sect4>
+<sect4><title>Optional</title>
+<para>OPTIONAL LIST</para></sect4>
+</sect3>
+
+</sect2>
Index: basicnet/netprogs/nfs-utils/nfs-utils.ent
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils.ent	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
+++ basicnet/netprogs/nfs-utils/nfs-utils.ent	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -0,0 +1,12 @@
+<!ENTITY nfs-utils SYSTEM "../nfs-utils.xml">
+<!ENTITY nfs-utils-intro SYSTEM "nfs-utils-intro.xml">
+<!ENTITY nfs-utils-inst SYSTEM "nfs-utils-inst.xml">
+<!ENTITY nfs-utils-exp SYSTEM "nfs-utils-exp.xml">
+<!ENTITY nfs-utils-desc SYSTEM "nfs-utils-desc.xml">
+<!ENTITY nfs-utils-config SYSTEM "nfs-utils-config.xml">
+<!ENTITY nfs-utils-buildsize "">
+<!ENTITY nfs-utils-version "1.0.3">
+<!ENTITY nfs-utils-download-http
+"http://unc.dl.sourceforge.net/sourceforge/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
+<!ENTITY nfs-utils-download-ftp "">
+<!ENTITY nfs-utils-size "237 KB">
Index: gnome/add/media/gstreamer-inst.xml
===================================================================
--- gnome/add/media/gstreamer-inst.xml	(revision a11e412d48a154656848dfd52fee100b38d91426)
+++ gnome/add/media/gstreamer-inst.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of gstreamer</title>
+<title>Installation of <application>gstreamer</application></title>
 
-<para>Install gstreamer by running the following commands:</para>
+<para>Install <application>gstreamer</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --localstatedir=/var/log  &amp;&amp;
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --localstatedir=/var/lib  &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
-gst-register </userinput></screen></para>
+gst-register</command> </userinput></screen>
 
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a11e412d48a154656848dfd52fee100b38d91426)
+++ introduction/welcome/changelog.xml	(revision 176b211a4896af4ebcf6b2919141a69b1d68bedb)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>May 1st, 2003 [larry]: multimedia: update to
+xine-lib-1-beta11.</para></listitem>
 
 <listitem><para>May 1st, 2003 [larry]: server: updated to