Index: general.ent
===================================================================
--- general.ent	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ general.ent	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -265,5 +265,5 @@
 <!ENTITY LZO-version                  "2.06">
 <!ENTITY mtdev-version                "1.1.5">
-<!ENTITY nspr-version                 "4.10.5">
+<!ENTITY nspr-version                 "4.10.6">
 <!ENTITY openobex-version             "1.7.1">
 <!ENTITY pcre-version                 "8.35">
@@ -298,5 +298,5 @@
 <!ENTITY libjpeg-turbo-version        "1.3.1">
 <!ENTITY libmng-version               "2.0.2">
-<!ENTITY libpng-version               "1.6.10">
+<!ENTITY libpng-version               "1.6.11">
 <!ENTITY librsvg-version              "2.40.2">   <!-- Normally even minors
                                                        Required version in order to use
@@ -308,5 +308,5 @@
 <!ENTITY pixman-version               "0.32.4">   <!-- Even minors only -->
 <!ENTITY poppler-version              "0.26.1">   <!-- Even minors only -->
-<!ENTITY qpdf-version                 "5.1.1">
+<!ENTITY qpdf-version                 "5.1.2">
 
 <!-- Chapter 11 -->
@@ -538,5 +538,5 @@
 <!ENTITY xcursor-themes-version       "1.0.4">
 <!ENTITY xkeyboard-config-version     "2.12">
-<!ENTITY mesalib-version              "10.1.4">
+<!ENTITY mesalib-version              "10.2.1">
 <!ENTITY xcb-util-version             "0.3.9">
 <!ENTITY xcb-util-image-version       "0.3.9">
Index: general/genlib/nspr.xml
===================================================================
--- general/genlib/nspr.xml	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ general/genlib/nspr.xml	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -9,8 +9,8 @@
   <!ENTITY nspr-download-ftp
            "ftp://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v&nspr-version;/src/nspr-&nspr-version;.tar.gz">
-  <!ENTITY nspr-md5sum        "c903557c620b4b84457f57ddc80934c4">
+  <!ENTITY nspr-md5sum        "6ab81e8d508457905223eaf4ed0a973b">
   <!ENTITY nspr-size          "1.1 MB">
-  <!ENTITY nspr-buildsize     "9.1 MB">
-  <!ENTITY nspr-time          "0.1 SBU">
+  <!ENTITY nspr-buildsize     "11 MB">
+  <!ENTITY nspr-time          "less than 0.1 SBU">
 ]>
 
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ general/graphlib/libpng.xml	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -8,10 +8,10 @@
            "&sourceforge-repo;/libpng/libpng-&libpng-version;.tar.xz">
   <!ENTITY libpng-download-ftp  " ">
-  <!ENTITY libpng-md5sum        "5f414b20f683b1d96b163c89e3eff768">
+  <!ENTITY libpng-md5sum        "fd594bd3f1cf0389c03f5297ce92671b">
   <!ENTITY libpng-size          "880 KB">
   <!ENTITY libpng-buildsize     "12 MB (additional 1 MB for the tests)">
   <!ENTITY libpng-time          "0.1 SBU (additional 0.2 SBU for the tests)">
 
-  <!ENTITY apng-version "1.6.10">
+  <!ENTITY apng-version "1.6.11">
 
   <!ENTITY apng-patch
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ general/graphlib/qpdf.xml	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -7,8 +7,8 @@
   <!ENTITY qpdf-download-http "&sourceforge-repo;/qpdf/qpdf-&qpdf-version;.tar.gz">
   <!ENTITY qpdf-download-ftp  " ">
-  <!ENTITY qpdf-md5sum        "378bfd1c2ee15d7815f2f4b1a50fa6e0">
+  <!ENTITY qpdf-md5sum        "0bd15ef5eea5f628951ab456c84e78ec">
   <!ENTITY qpdf-size          "7.4 MB">
-  <!ENTITY qpdf-buildsize     "63 MB (72 MB, running the tests)">
-  <!ENTITY qpdf-time          "0.5 SBU (plus 0.6 for the tests)">
+  <!ENTITY qpdf-buildsize     "67 MB (76 MB, running the tests)">
+  <!ENTITY qpdf-time          "0.5 SBU (plus 0.4 for the tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ introduction/welcome/changelog.xml	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -48,4 +48,24 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - MariaDB-10.0.11: move switch
+          -DWITH_EMBEDDED_SERVER=ON to parameter.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - nspr-4.10.6. Fixes
+          <ulink url="&blfs-ticket-root;5151">#5151</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - qpdf-5.1.2. Fixes
+          <ulink url="&blfs-ticket-root;5150">#5150</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - MesaLib-10.2.1. Fixes
+          <ulink url="&blfs-ticket-root;5148">#5148</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - libpng-1.6.11. Fixes
+          <ulink url="&blfs-ticket-root;5142">#5142</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to kde-4.13.1. Fixes
           <ulink url="&blfs-ticket-root;5067">#5067</ulink>.</para>
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ server/databases/mariadb.xml	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -153,4 +153,5 @@
       -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock \
       -DWITH_EXTRA_CHARSETS=complex \
+      -DWITH_EMBEDDED_SERVER=ON \
       -DTOKUDB_OK=0 \
       .. &amp;&amp;
@@ -175,4 +176,10 @@
       <command>sed -i ...</command>: First sed sets correct installation
       directory for some components. Second sed fixes a bug in the code.
+    </para>
+
+    <para>
+      <parameter>-DWITH_EMBEDDED_SERVER=ON</parameter>: This switch enables
+      compiling the embedded server library needed by certain applications,
+      such as <application>Amarok</application>..
     </para>
 
@@ -193,10 +200,4 @@
       switches if you don't want the server and would like to build the client
       only.
-    </para>
-
-    <para>
-      <option>-DWITH_EMBEDDED_SERVER=ON</option>: This switch enables compiling
-      the embedded server library needed by certain applications, such as
-      <application>Amarok</application>.
     </para>
 
@@ -381,21 +382,21 @@
       <seglistitem>
         <seg>
-          aria_chk, aria_dump_log, aria_ftdump, aria_pack, aria_read_log, 
-          innochecksum, msql2mysql, myisamchk, myisam_ftdump, myisamlog,
-          myisampack, my_print_defaults, mysql, mysqlaccess,
-          mysqladmin, mysqlbinlog, mysqlbug, mysqlcheck, mysql_client_test,
-          mysql_config, mysql_convert_table_format, mysqld, mysqld_multi,
-          mysqld_safe, mysqldump,
-          mysqldumpslow, mysql_find_rows, mysql_fix_extensions,
-          mysqlhotcopy, mysqlimport, mysql_install_db, mysql_plugin,
-          mysql_secure_installation, mysql_setpermission, mysqlshow, mysqlslap,
-          mysqltest, mysql_tzinfo_to_sql, mysql_upgrade,
-          mysql_waitpid, mysql_zap, mytop, perror, replace, resolveip,
-          and resolve_stack_dump
+          aria_chk, aria_dump_log, aria_ftdump, aria_pack, aria_read_log,
+          innochecksum, msql2mysql, my_print_defaults, myisam_ftdump,
+          myisamchk, myisamlog, myisampack, mysql, mysql_client_test,
+          mysql_client_test_embedded, mysql_config, mysql_convert_table_format,
+          mysql_embedded, mysql_find_rows, mysql_fix_extensions,
+          mysql_install_db, mysql_plugin, mysql_secure_installation,
+          mysql_setpermission, mysql_tzinfo_to_sql, mysql_upgrade,
+          mysql_waitpid, mysql_zap, mysqlaccess, mysqladmin, mysqlbinlog,
+          mysqlbug, mysqlcheck, mysqld, mysqld_multi, mysqld_safe, mysqldump,
+          mysqldumpslow, mysqlhotcopy, mysqlimport, mysqlshow, mysqlslap,
+          mysqltest, mysqltest_embedded, mytop, perror, replace,
+          resolve_stack_dump, and resolveip
         </seg>
         <seg>
           libmysqlclient.{so,a},
           libmysqlclient_r.{so,a} (symbolic links to libmysqlclient.{so,a}),
-          <!-- libmysqld.{so,a},--> libmysqlservices.a,
+          libmysqld.{so,a}, libmysqlservices.a,
           and several under /usr/lib/mysql/plugin/
         </seg>
Index: x/installing/mesalib.xml
===================================================================
--- x/installing/mesalib.xml	(revision 33e57610a1a26a361caaa4266bb2d694f5d5c977)
+++ x/installing/mesalib.xml	(revision 177e2f96f5688ae28c0f3a66fa79524303280359)
@@ -10,8 +10,8 @@
 <!--  <!ENTITY mesalib-download-ftp
   "ftp://ftp.freedesktop.org/pub/mesa/&mesalib-version;/MesaLib-&mesalib-version;.tar.bz2">-->
-  <!ENTITY mesalib-md5sum        "6fddee101f49b7409cd29994c34ddee7">
-  <!ENTITY mesalib-size          "6.6 MB">
-  <!ENTITY mesalib-buildsize     "202 MB (additional 1.6 MB for the docs)">
-  <!ENTITY mesalib-time          "4.2 SBU">
+  <!ENTITY mesalib-md5sum        "093f9b5d077e5f6061dcd7b01b7aa51a">
+  <!ENTITY mesalib-size          "6.8 MB">
+  <!ENTITY mesalib-buildsize     "300 MB (additional 1.6 MB for the docs)">
+  <!ENTITY mesalib-time          "4.3 SBU">
 
 ]>
@@ -329,8 +329,9 @@
           libxatracker.so,
           <!--libXvMCnouveau.so and libXvMCr600.so--> and
-          several libs under /usr/lib/{dri,egl,gallium-pipe,gbm,vdpau}
+          several libs under /usr/lib/{dri,egl,gallium-pipe,gbm<!--,vdpau-->}
         </seg>
         <seg>
           $XORG_PREFIX/include/EGL,
+          $XORG_PREFIX/include/GL,
           $XORG_PREFIX/include/GLES,
           $XORG_PREFIX/include/GLES2,
@@ -341,6 +342,6 @@
           $XORG_PREFIX/lib/egl,
           $XORG_PREFIX/lib/gallium-pipe,
-          $XORG_PREFIX/lib/gbm,
-          $XORG_PREFIX/lib/vdpau and
+          $XORG_PREFIX/lib/gbm<!--,
+          $XORG_PREFIX/lib/vdpau--> and
           /usr/share/doc/MesaLib-&mesalib-version; (optional)
         </seg>